/* SPDX-License-Identifier: GPL-2.0-or-later */

/*
 * The manufacturer's standard identification code list appears in JEP106.
 * Copyright (c) 2022 JEDEC. All rights reserved.
 *
 * JEP106 is regularly updated. For the current manufacturer's standard
 * identification code list, please visit the JEDEC website at www.jedec.org .
 */

/* This file is aligned to revision JEP106BG May 2023. */

/* "NXP (Philips)" is reported below, while missing in JEP106BG */

[0][0x01 - 1] = "AMD",
[0][0x02 - 1] = "AMI",
[0][0x03 - 1] = "Fairchild",
[0][0x04 - 1] = "Fujitsu",
[0][0x05 - 1] = "GTE",
[0][0x06 - 1] = "Harris",
[0][0x07 - 1] = "Hitachi",
[0][0x08 - 1] = "Inmos",
[0][0x09 - 1] = "Intel",
[0][0x0a - 1] = "I.T.T.",
[0][0x0b - 1] = "Intersil",
[0][0x0c - 1] = "Monolithic Memories",
[0][0x0d - 1] = "Mostek",
[0][0x0e - 1] = "Freescale (Motorola)",
[0][0x0f - 1] = "National",
[0][0x10 - 1] = "NEC",
[0][0x11 - 1] = "RCA",
[0][0x12 - 1] = "Raytheon",
[0][0x13 - 1] = "Conexant (Rockwell)",
[0][0x14 - 1] = "Seeq",
[0][0x15 - 1] = "NXP (Philips)",
[0][0x16 - 1] = "Synertek",
[0][0x17 - 1] = "Texas Instruments",
[0][0x18 - 1] = "Kioxia Corporation",
[0][0x19 - 1] = "Xicor",
[0][0x1a - 1] = "Zilog",
[0][0x1b - 1] = "Eurotechnique",
[0][0x1c - 1] = "Mitsubishi",
[0][0x1d - 1] = "Lucent (AT&T)",
[0][0x1e - 1] = "Exel",
[0][0x1f - 1] = "Atmel",
[0][0x20 - 1] = "STMicroelectronics",
[0][0x21 - 1] = "Lattice Semi.",
[0][0x22 - 1] = "NCR",
[0][0x23 - 1] = "Wafer Scale Integration",
[0][0x24 - 1] = "IBM",
[0][0x25 - 1] = "Tristar",
[0][0x26 - 1] = "Visic",
[0][0x27 - 1] = "Intl. CMOS Technology",
[0][0x28 - 1] = "SSSI",
[0][0x29 - 1] = "Microchip Technology",
[0][0x2a - 1] = "Ricoh Ltd",
[0][0x2b - 1] = "VLSI",
[0][0x2c - 1] = "Micron Technology",
[0][0x2d - 1] = "SK Hynix",
[0][0x2e - 1] = "OKI Semiconductor",
[0][0x2f - 1] = "ACTEL",
[0][0x30 - 1] = "Sharp",
[0][0x31 - 1] = "Catalyst",
[0][0x32 - 1] = "Panasonic",
[0][0x33 - 1] = "IDT",
[0][0x34 - 1] = "Cypress",
[0][0x35 - 1] = "DEC",
[0][0x36 - 1] = "LSI Logic",
[0][0x37 - 1] = "Zarlink (Plessey)",
[0][0x38 - 1] = "UTMC",
[0][0x39 - 1] = "Thinking Machine",
[0][0x3a - 1] = "Thomson CSF",
[0][0x3b - 1] = "Integrated CMOS (Vertex)",
[0][0x3c - 1] = "Honeywell",
[0][0x3d - 1] = "Tektronix",
[0][0x3e - 1] = "Oracle Corporation",
[0][0x3f - 1] = "Silicon Storage Technology",
[0][0x40 - 1] = "ProMos/Mosel Vitelic",
[0][0x41 - 1] = "Infineon (Siemens)",
[0][0x42 - 1] = "Macronix",
[0][0x43 - 1] = "Xerox",
[0][0x44 - 1] = "Plus Logic",
[0][0x45 - 1] = "Western Digital Technologies Inc",
[0][0x46 - 1] = "Elan Circuit Tech.",
[0][0x47 - 1] = "European Silicon Str.",
[0][0x48 - 1] = "Apple Computer",
[0][0x49 - 1] = "Xilinx",
[0][0x4a - 1] = "Compaq",
[0][0x4b - 1] = "Protocol Engines",
[0][0x4c - 1] = "SCI",
[0][0x4d - 1] = "ABLIC",
[0][0x4e - 1] = "Samsung",
[0][0x4f - 1] = "I3 Design System",
[0][0x50 - 1] = "Klic",
[0][0x51 - 1] = "Crosspoint Solutions",
[0][0x52 - 1] = "Alliance Memory Inc",
[0][0x53 - 1] = "Tandem",
[0][0x54 - 1] = "Hewlett-Packard",
[0][0x55 - 1] = "Integrated Silicon Solutions",
[0][0x56 - 1] = "Brooktree",
[0][0x57 - 1] = "New Media",
[0][0x58 - 1] = "MHS Electronic",
[0][0x59 - 1] = "Performance Semi.",
[0][0x5a - 1] = "Winbond Electronic",
[0][0x5b - 1] = "Kawasaki Steel",
[0][0x5c - 1] = "Bright Micro",
[0][0x5d - 1] = "TECMAR",
[0][0x5e - 1] = "Exar",
[0][0x5f - 1] = "PCMCIA",
[0][0x60 - 1] = "LG Semi (Goldstar)",
[0][0x61 - 1] = "Northern Telecom",
[0][0x62 - 1] = "Sanyo",
[0][0x63 - 1] = "Array Microsystems",
[0][0x64 - 1] = "Crystal Semiconductor",
[0][0x65 - 1] = "Analog Devices",
[0][0x66 - 1] = "PMC-Sierra",
[0][0x67 - 1] = "Asparix",
[0][0x68 - 1] = "Convex Computer",
[0][0x69 - 1] = "Quality Semiconductor",
[0][0x6a - 1] = "Nimbus Technology",
[0][0x6b - 1] = "Transwitch",
[0][0x6c - 1] = "Micronas (ITT Intermetall)",
[0][0x6d - 1] = "Cannon",
[0][0x6e - 1] = "Altera",
[0][0x6f - 1] = "NEXCOM",
[0][0x70 - 1] = "Qualcomm",
[0][0x71 - 1] = "Sony",
[0][0x72 - 1] = "Cray Research",
[0][0x73 - 1] = "AMS(Austria Micro)",
[0][0x74 - 1] = "Vitesse",
[0][0x75 - 1] = "Aster Electronics",
[0][0x76 - 1] = "Bay Networks (Synoptic)",
[0][0x77 - 1] = "Zentrum/ZMD",
[0][0x78 - 1] = "TRW",
[0][0x79 - 1] = "Thesys",
[0][0x7a - 1] = "Solbourne Computer",
[0][0x7b - 1] = "Allied-Signal",
[0][0x7c - 1] = "Dialog Semiconductor",
[0][0x7d - 1] = "Media Vision",
[0][0x7e - 1] = "Numonyx Corporation",
[1][0x01 - 1] = "Cirrus Logic",
[1][0x02 - 1] = "National Instruments",
[1][0x03 - 1] = "ILC Data Device",
[1][0x04 - 1] = "Alcatel Mietec",
[1][0x05 - 1] = "Micro Linear",
[1][0x06 - 1] = "Univ. of NC",
[1][0x07 - 1] = "JTAG Technologies",
[1][0x08 - 1] = "BAE Systems (Loral)",
[1][0x09 - 1] = "Nchip",
[1][0x0a - 1] = "Galileo Tech",
[1][0x0b - 1] = "Bestlink Systems",
[1][0x0c - 1] = "Graychip",
[1][0x0d - 1] = "GENNUM",
[1][0x0e - 1] = "Imagination Technologies Limited",
[1][0x0f - 1] = "Robert Bosch",
[1][0x10 - 1] = "Chip Express",
[1][0x11 - 1] = "DATARAM",
[1][0x12 - 1] = "United Microelectronics Corp",
[1][0x13 - 1] = "TCSI",
[1][0x14 - 1] = "Smart Modular",
[1][0x15 - 1] = "Hughes Aircraft",
[1][0x16 - 1] = "Lanstar Semiconductor",
[1][0x17 - 1] = "Qlogic",
[1][0x18 - 1] = "Kingston",
[1][0x19 - 1] = "Music Semi",
[1][0x1a - 1] = "Ericsson Components",
[1][0x1b - 1] = "SpaSE",
[1][0x1c - 1] = "Eon Silicon Devices",
[1][0x1d - 1] = "Integrated Silicon Solution (ISSI)",
[1][0x1e - 1] = "DoD",
[1][0x1f - 1] = "Integ. Memories Tech.",
[1][0x20 - 1] = "Corollary Inc",
[1][0x21 - 1] = "Dallas Semiconductor",
[1][0x22 - 1] = "Omnivision",
[1][0x23 - 1] = "EIV(Switzerland)",
[1][0x24 - 1] = "Novatel Wireless",
[1][0x25 - 1] = "Zarlink (Mitel)",
[1][0x26 - 1] = "Clearpoint",
[1][0x27 - 1] = "Cabletron",
[1][0x28 - 1] = "STEC (Silicon Tech)",
[1][0x29 - 1] = "Vanguard",
[1][0x2a - 1] = "Hagiwara Sys-Com",
[1][0x2b - 1] = "Vantis",
[1][0x2c - 1] = "Celestica",
[1][0x2d - 1] = "Century",
[1][0x2e - 1] = "Hal Computers",
[1][0x2f - 1] = "Rohm Company Ltd",
[1][0x30 - 1] = "Juniper Networks",
[1][0x31 - 1] = "Libit Signal Processing",
[1][0x32 - 1] = "Mushkin Enhanced Memory",
[1][0x33 - 1] = "Tundra Semiconductor",
[1][0x34 - 1] = "Adaptec Inc",
[1][0x35 - 1] = "LightSpeed Semi.",
[1][0x36 - 1] = "ZSP Corp",
[1][0x37 - 1] = "AMIC Technology",
[1][0x38 - 1] = "Adobe Systems",
[1][0x39 - 1] = "Dynachip",
[1][0x3a - 1] = "PNY Technologies Inc",
[1][0x3b - 1] = "Newport Digital",
[1][0x3c - 1] = "MMC Networks",
[1][0x3d - 1] = "T Square",
[1][0x3e - 1] = "Seiko Epson",
[1][0x3f - 1] = "Broadcom",
[1][0x40 - 1] = "Viking Components",
[1][0x41 - 1] = "V3 Semiconductor",
[1][0x42 - 1] = "Flextronics (Orbit Semiconductor)",
[1][0x43 - 1] = "Suwa Electronics",
[1][0x44 - 1] = "Transmeta",
[1][0x45 - 1] = "Micron CMS",
[1][0x46 - 1] = "American Computer & Digital Components Inc",
[1][0x47 - 1] = "Enhance 3000 Inc",
[1][0x48 - 1] = "Tower Semiconductor",
[1][0x49 - 1] = "CPU Design",
[1][0x4a - 1] = "Price Point",
[1][0x4b - 1] = "Maxim Integrated Product",
[1][0x4c - 1] = "Tellabs",
[1][0x4d - 1] = "Centaur Technology",
[1][0x4e - 1] = "Unigen Corporation",
[1][0x4f - 1] = "Transcend Information",
[1][0x50 - 1] = "Memory Card Technology",
[1][0x51 - 1] = "CKD Corporation Ltd",
[1][0x52 - 1] = "Capital Instruments Inc",
[1][0x53 - 1] = "Aica Kogyo Ltd",
[1][0x54 - 1] = "Linvex Technology",
[1][0x55 - 1] = "MSC Vertriebs GmbH",
[1][0x56 - 1] = "AKM Company Ltd",
[1][0x57 - 1] = "Dynamem Inc",
[1][0x58 - 1] = "NERA ASA",
[1][0x59 - 1] = "GSI Technology",
[1][0x5a - 1] = "Dane-Elec (C Memory)",
[1][0x5b - 1] = "Acorn Computers",
[1][0x5c - 1] = "Lara Technology",
[1][0x5d - 1] = "Oak Technology Inc",
[1][0x5e - 1] = "Itec Memory",
[1][0x5f - 1] = "Tanisys Technology",
[1][0x60 - 1] = "Truevision",
[1][0x61 - 1] = "Wintec Industries",
[1][0x62 - 1] = "Super PC Memory",
[1][0x63 - 1] = "MGV Memory",
[1][0x64 - 1] = "Galvantech",
[1][0x65 - 1] = "Gadzoox Networks",
[1][0x66 - 1] = "Multi Dimensional Cons.",
[1][0x67 - 1] = "GateField",
[1][0x68 - 1] = "Integrated Memory System",
[1][0x69 - 1] = "Triscend",
[1][0x6a - 1] = "XaQti",
[1][0x6b - 1] = "Goldenram",
[1][0x6c - 1] = "Clear Logic",
[1][0x6d - 1] = "Cimaron Communications",
[1][0x6e - 1] = "Nippon Steel Semi. Corp",
[1][0x6f - 1] = "Advantage Memory",
[1][0x70 - 1] = "AMCC",
[1][0x71 - 1] = "LeCroy",
[1][0x72 - 1] = "Yamaha Corporation",
[1][0x73 - 1] = "Digital Microwave",
[1][0x74 - 1] = "NetLogic Microsystems",
[1][0x75 - 1] = "MIMOS Semiconductor",
[1][0x76 - 1] = "Advanced Fibre",
[1][0x77 - 1] = "BF Goodrich Data.",
[1][0x78 - 1] = "Epigram",
[1][0x79 - 1] = "Acbel Polytech Inc",
[1][0x7a - 1] = "Apacer Technology",
[1][0x7b - 1] = "Admor Memory",
[1][0x7c - 1] = "FOXCONN",
[1][0x7d - 1] = "Quadratics Superconductor",
[1][0x7e - 1] = "3COM",
[2][0x01 - 1] = "Camintonn Corporation",
[2][0x02 - 1] = "ISOA Incorporated",
[2][0x03 - 1] = "Agate Semiconductor",
[2][0x04 - 1] = "ADMtek Incorporated",
[2][0x05 - 1] = "HYPERTEC",
[2][0x06 - 1] = "Adhoc Technologies",
[2][0x07 - 1] = "MOSAID Technologies",
[2][0x08 - 1] = "Ardent Technologies",
[2][0x09 - 1] = "Switchcore",
[2][0x0a - 1] = "Cisco Systems Inc",
[2][0x0b - 1] = "Allayer Technologies",
[2][0x0c - 1] = "WorkX AG (Wichman)",
[2][0x0d - 1] = "Oasis Semiconductor",
[2][0x0e - 1] = "Novanet Semiconductor",
[2][0x0f - 1] = "E-M Solutions",
[2][0x10 - 1] = "Power General",
[2][0x11 - 1] = "Advanced Hardware Arch.",
[2][0x12 - 1] = "Inova Semiconductors GmbH",
[2][0x13 - 1] = "Telocity",
[2][0x14 - 1] = "Delkin Devices",
[2][0x15 - 1] = "Symagery Microsystems",
[2][0x16 - 1] = "C-Port Corporation",
[2][0x17 - 1] = "SiberCore Technologies",
[2][0x18 - 1] = "Southland Microsystems",
[2][0x19 - 1] = "Malleable Technologies",
[2][0x1a - 1] = "Kendin Communications",
[2][0x1b - 1] = "Great Technology Microcomputer",
[2][0x1c - 1] = "Sanmina Corporation",
[2][0x1d - 1] = "HADCO Corporation",
[2][0x1e - 1] = "Corsair",
[2][0x1f - 1] = "Actrans System Inc",
[2][0x20 - 1] = "ALPHA Technologies",
[2][0x21 - 1] = "Silicon Laboratories Inc (Cygnal)",
[2][0x22 - 1] = "Artesyn Technologies",
[2][0x23 - 1] = "Align Manufacturing",
[2][0x24 - 1] = "Peregrine Semiconductor",
[2][0x25 - 1] = "Chameleon Systems",
[2][0x26 - 1] = "Aplus Flash Technology",
[2][0x27 - 1] = "MIPS Technologies",
[2][0x28 - 1] = "Chrysalis ITS",
[2][0x29 - 1] = "ADTEC Corporation",
[2][0x2a - 1] = "Kentron Technologies",
[2][0x2b - 1] = "Win Technologies",
[2][0x2c - 1] = "Tezzaron Semiconductor",
[2][0x2d - 1] = "Extreme Packet Devices",
[2][0x2e - 1] = "RF Micro Devices",
[2][0x2f - 1] = "Siemens AG",
[2][0x30 - 1] = "Sarnoff Corporation",
[2][0x31 - 1] = "Itautec SA",
[2][0x32 - 1] = "Radiata Inc",
[2][0x33 - 1] = "Benchmark Elect. (AVEX)",
[2][0x34 - 1] = "Legend",
[2][0x35 - 1] = "SpecTek Incorporated",
[2][0x36 - 1] = "Hi/fn",
[2][0x37 - 1] = "Enikia Incorporated",
[2][0x38 - 1] = "SwitchOn Networks",
[2][0x39 - 1] = "AANetcom Incorporated",
[2][0x3a - 1] = "Micro Memory Bank",
[2][0x3b - 1] = "ESS Technology",
[2][0x3c - 1] = "Virata Corporation",
[2][0x3d - 1] = "Excess Bandwidth",
[2][0x3e - 1] = "West Bay Semiconductor",
[2][0x3f - 1] = "DSP Group",
[2][0x40 - 1] = "Newport Communications",
[2][0x41 - 1] = "Chip2Chip Incorporated",
[2][0x42 - 1] = "Phobos Corporation",
[2][0x43 - 1] = "Intellitech Corporation",
[2][0x44 - 1] = "Nordic VLSI ASA",
[2][0x45 - 1] = "Ishoni Networks",
[2][0x46 - 1] = "Silicon Spice",
[2][0x47 - 1] = "Alchemy Semiconductor",
[2][0x48 - 1] = "Agilent Technologies",
[2][0x49 - 1] = "Centillium Communications",
[2][0x4a - 1] = "W.L. Gore",
[2][0x4b - 1] = "HanBit Electronics",
[2][0x4c - 1] = "GlobeSpan",
[2][0x4d - 1] = "Element 14",
[2][0x4e - 1] = "Pycon",
[2][0x4f - 1] = "Saifun Semiconductors",
[2][0x50 - 1] = "Sibyte Incorporated",
[2][0x51 - 1] = "MetaLink Technologies",
[2][0x52 - 1] = "Feiya Technology",
[2][0x53 - 1] = "I & C Technology",
[2][0x54 - 1] = "Shikatronics",
[2][0x55 - 1] = "Elektrobit",
[2][0x56 - 1] = "Megic",
[2][0x57 - 1] = "Com-Tier",
[2][0x58 - 1] = "Malaysia Micro Solutions",
[2][0x59 - 1] = "Hyperchip",
[2][0x5a - 1] = "Gemstone Communications",
[2][0x5b - 1] = "Anadigm (Anadyne)",
[2][0x5c - 1] = "3ParData",
[2][0x5d - 1] = "Mellanox Technologies",
[2][0x5e - 1] = "Tenx Technologies",
[2][0x5f - 1] = "Helix AG",
[2][0x60 - 1] = "Domosys",
[2][0x61 - 1] = "Skyup Technology",
[2][0x62 - 1] = "HiNT Corporation",
[2][0x63 - 1] = "Chiaro",
[2][0x64 - 1] = "MDT Technologies GmbH",
[2][0x65 - 1] = "Exbit Technology A/S",
[2][0x66 - 1] = "Integrated Technology Express",
[2][0x67 - 1] = "AVED Memory",
[2][0x68 - 1] = "Legerity",
[2][0x69 - 1] = "Jasmine Networks",
[2][0x6a - 1] = "Caspian Networks",
[2][0x6b - 1] = "nCUBE",
[2][0x6c - 1] = "Silicon Access Networks",
[2][0x6d - 1] = "FDK Corporation",
[2][0x6e - 1] = "High Bandwidth Access",
[2][0x6f - 1] = "MultiLink Technology",
[2][0x70 - 1] = "BRECIS",
[2][0x71 - 1] = "World Wide Packets",
[2][0x72 - 1] = "APW",
[2][0x73 - 1] = "Chicory Systems",
[2][0x74 - 1] = "Xstream Logic",
[2][0x75 - 1] = "Fast-Chip",
[2][0x76 - 1] = "Zucotto Wireless",
[2][0x77 - 1] = "Realchip",
[2][0x78 - 1] = "Galaxy Power",
[2][0x79 - 1] = "eSilicon",
[2][0x7a - 1] = "Morphics Technology",
[2][0x7b - 1] = "Accelerant Networks",
[2][0x7c - 1] = "Silicon Wave",
[2][0x7d - 1] = "SandCraft",
[2][0x7e - 1] = "Elpida",
[3][0x01 - 1] = "Solectron",
[3][0x02 - 1] = "Optosys Technologies",
[3][0x03 - 1] = "Buffalo (Formerly Melco)",
[3][0x04 - 1] = "TriMedia Technologies",
[3][0x05 - 1] = "Cyan Technologies",
[3][0x06 - 1] = "Global Locate",
[3][0x07 - 1] = "Optillion",
[3][0x08 - 1] = "Terago Communications",
[3][0x09 - 1] = "Ikanos Communications",
[3][0x0a - 1] = "Princeton Technology",
[3][0x0b - 1] = "Nanya Technology",
[3][0x0c - 1] = "Elite Flash Storage",
[3][0x0d - 1] = "Mysticom",
[3][0x0e - 1] = "LightSand Communications",
[3][0x0f - 1] = "ATI Technologies",
[3][0x10 - 1] = "Agere Systems",
[3][0x11 - 1] = "NeoMagic",
[3][0x12 - 1] = "AuroraNetics",
[3][0x13 - 1] = "Golden Empire",
[3][0x14 - 1] = "Mushkin",
[3][0x15 - 1] = "Tioga Technologies",
[3][0x16 - 1] = "Netlist",
[3][0x17 - 1] = "TeraLogic",
[3][0x18 - 1] = "Cicada Semiconductor",
[3][0x19 - 1] = "Centon Electronics",
[3][0x1a - 1] = "Tyco Electronics",
[3][0x1b - 1] = "Magis Works",
[3][0x1c - 1] = "Zettacom",
[3][0x1d - 1] = "Cogency Semiconductor",
[3][0x1e - 1] = "Chipcon AS",
[3][0x1f - 1] = "Aspex Technology",
[3][0x20 - 1] = "F5 Networks",
[3][0x21 - 1] = "Programmable Silicon Solutions",
[3][0x22 - 1] = "ChipWrights",
[3][0x23 - 1] = "Acorn Networks",
[3][0x24 - 1] = "Quicklogic",
[3][0x25 - 1] = "Kingmax Semiconductor",
[3][0x26 - 1] = "BOPS",
[3][0x27 - 1] = "Flasys",
[3][0x28 - 1] = "BitBlitz Communications",
[3][0x29 - 1] = "eMemory Technology",
[3][0x2a - 1] = "Procket Networks",
[3][0x2b - 1] = "Purple Ray",
[3][0x2c - 1] = "Trebia Networks",
[3][0x2d - 1] = "Delta Electronics",
[3][0x2e - 1] = "Onex Communications",
[3][0x2f - 1] = "Ample Communications",
[3][0x30 - 1] = "Memory Experts Intl",
[3][0x31 - 1] = "Astute Networks",
[3][0x32 - 1] = "Azanda Network Devices",
[3][0x33 - 1] = "Dibcom",
[3][0x34 - 1] = "Tekmos",
[3][0x35 - 1] = "API NetWorks",
[3][0x36 - 1] = "Bay Microsystems",
[3][0x37 - 1] = "Firecron Ltd",
[3][0x38 - 1] = "Resonext Communications",
[3][0x39 - 1] = "Tachys Technologies",
[3][0x3a - 1] = "Equator Technology",
[3][0x3b - 1] = "Concept Computer",
[3][0x3c - 1] = "SILCOM",
[3][0x3d - 1] = "3Dlabs",
[3][0x3e - 1] = "c't Magazine",
[3][0x3f - 1] = "Sanera Systems",
[3][0x40 - 1] = "Silicon Packets",
[3][0x41 - 1] = "Viasystems Group",
[3][0x42 - 1] = "Simtek",
[3][0x43 - 1] = "Semicon Devices Singapore",
[3][0x44 - 1] = "Satron Handelsges",
[3][0x45 - 1] = "Improv Systems",
[3][0x46 - 1] = "INDUSYS GmbH",
[3][0x47 - 1] = "Corrent",
[3][0x48 - 1] = "Infrant Technologies",
[3][0x49 - 1] = "Ritek Corp",
[3][0x4a - 1] = "empowerTel Networks",
[3][0x4b - 1] = "Hypertec",
[3][0x4c - 1] = "Cavium Networks",
[3][0x4d - 1] = "PLX Technology",
[3][0x4e - 1] = "Massana Design",
[3][0x4f - 1] = "Intrinsity",
[3][0x50 - 1] = "Valence Semiconductor",
[3][0x51 - 1] = "Terawave Communications",
[3][0x52 - 1] = "IceFyre Semiconductor",
[3][0x53 - 1] = "Primarion",
[3][0x54 - 1] = "Picochip Designs Ltd",
[3][0x55 - 1] = "Silverback Systems",
[3][0x56 - 1] = "Jade Star Technologies",
[3][0x57 - 1] = "Pijnenburg Securealink",
[3][0x58 - 1] = "takeMS - Ultron AG",
[3][0x59 - 1] = "Cambridge Silicon Radio",
[3][0x5a - 1] = "Swissbit",
[3][0x5b - 1] = "Nazomi Communications",
[3][0x5c - 1] = "eWave System",
[3][0x5d - 1] = "Rockwell Collins",
[3][0x5e - 1] = "Picocel Co Ltd (Paion)",
[3][0x5f - 1] = "Alphamosaic Ltd",
[3][0x60 - 1] = "Sandburst",
[3][0x61 - 1] = "SiCon Video",
[3][0x62 - 1] = "NanoAmp Solutions",
[3][0x63 - 1] = "Ericsson Technology",
[3][0x64 - 1] = "PrairieComm",
[3][0x65 - 1] = "Mitac International",
[3][0x66 - 1] = "Layer N Networks",
[3][0x67 - 1] = "MtekVision (Atsana)",
[3][0x68 - 1] = "Allegro Networks",
[3][0x69 - 1] = "Marvell Semiconductors",
[3][0x6a - 1] = "Netergy Microelectronic",
[3][0x6b - 1] = "NVIDIA",
[3][0x6c - 1] = "Internet Machines",
[3][0x6d - 1] = "Memorysolution GmbH",
[3][0x6e - 1] = "Litchfield Communication",
[3][0x6f - 1] = "Accton Technology",
[3][0x70 - 1] = "Teradiant Networks",
[3][0x71 - 1] = "Scaleo Chip",
[3][0x72 - 1] = "Cortina Systems",
[3][0x73 - 1] = "RAM Components",
[3][0x74 - 1] = "Raqia Networks",
[3][0x75 - 1] = "ClearSpeed",
[3][0x76 - 1] = "Matsushita Battery",
[3][0x77 - 1] = "Xelerated",
[3][0x78 - 1] = "SimpleTech",
[3][0x79 - 1] = "Utron Technology",
[3][0x7a - 1] = "Astec International",
[3][0x7b - 1] = "AVM gmbH",
[3][0x7c - 1] = "Redux Communications",
[3][0x7d - 1] = "Dot Hill Systems",
[3][0x7e - 1] = "TeraChip",
[4][0x01 - 1] = "T-RAM Incorporated",
[4][0x02 - 1] = "Innovics Wireless",
[4][0x03 - 1] = "Teknovus",
[4][0x04 - 1] = "KeyEye Communications",
[4][0x05 - 1] = "Runcom Technologies",
[4][0x06 - 1] = "RedSwitch",
[4][0x07 - 1] = "Dotcast",
[4][0x08 - 1] = "Silicon Mountain Memory",
[4][0x09 - 1] = "Signia Technologies",
[4][0x0a - 1] = "Pixim",
[4][0x0b - 1] = "Galazar Networks",
[4][0x0c - 1] = "White Electronic Designs",
[4][0x0d - 1] = "Patriot Scientific",
[4][0x0e - 1] = "Neoaxiom Corporation",
[4][0x0f - 1] = "3Y Power Technology",
[4][0x10 - 1] = "Scaleo Chip",
[4][0x11 - 1] = "Potentia Power Systems",
[4][0x12 - 1] = "C-guys Incorporated",
[4][0x13 - 1] = "Digital Communications Technology Inc",
[4][0x14 - 1] = "Silicon-Based Technology",
[4][0x15 - 1] = "Fulcrum Microsystems",
[4][0x16 - 1] = "Positivo Informatica Ltd",
[4][0x17 - 1] = "XIOtech Corporation",
[4][0x18 - 1] = "PortalPlayer",
[4][0x19 - 1] = "Zhiying Software",
[4][0x1a - 1] = "ParkerVision Inc",
[4][0x1b - 1] = "Phonex Broadband",
[4][0x1c - 1] = "Skyworks Solutions",
[4][0x1d - 1] = "Entropic Communications",
[4][0x1e - 1] = "I'M Intelligent Memory Ltd",
[4][0x1f - 1] = "Zensys A/S",
[4][0x20 - 1] = "Legend Silicon Corp",
[4][0x21 - 1] = "Sci-worx GmbH",
[4][0x22 - 1] = "SMSC (Standard Microsystems)",
[4][0x23 - 1] = "Renesas Electronics",
[4][0x24 - 1] = "Raza Microelectronics",
[4][0x25 - 1] = "Phyworks",
[4][0x26 - 1] = "MediaTek",
[4][0x27 - 1] = "Non-cents Productions",
[4][0x28 - 1] = "US Modular",
[4][0x29 - 1] = "Wintegra Ltd",
[4][0x2a - 1] = "Mathstar",
[4][0x2b - 1] = "StarCore",
[4][0x2c - 1] = "Oplus Technologies",
[4][0x2d - 1] = "Mindspeed",
[4][0x2e - 1] = "Just Young Computer",
[4][0x2f - 1] = "Radia Communications",
[4][0x30 - 1] = "OCZ",
[4][0x31 - 1] = "Emuzed",
[4][0x32 - 1] = "LOGIC Devices",
[4][0x33 - 1] = "Inphi Corporation",
[4][0x34 - 1] = "Quake Technologies",
[4][0x35 - 1] = "Vixel",
[4][0x36 - 1] = "SolusTek",
[4][0x37 - 1] = "Kongsberg Maritime",
[4][0x38 - 1] = "Faraday Technology",
[4][0x39 - 1] = "Altium Ltd",
[4][0x3a - 1] = "Insyte",
[4][0x3b - 1] = "ARM Ltd",
[4][0x3c - 1] = "DigiVision",
[4][0x3d - 1] = "Vativ Technologies",
[4][0x3e - 1] = "Endicott Interconnect Technologies",
[4][0x3f - 1] = "Pericom",
[4][0x40 - 1] = "Bandspeed",
[4][0x41 - 1] = "LeWiz Communications",
[4][0x42 - 1] = "CPU Technology",
[4][0x43 - 1] = "Ramaxel Technology",
[4][0x44 - 1] = "DSP Group",
[4][0x45 - 1] = "Axis Communications",
[4][0x46 - 1] = "Legacy Electronics",
[4][0x47 - 1] = "Chrontel",
[4][0x48 - 1] = "Powerchip Semiconductor",
[4][0x49 - 1] = "MobilEye Technologies",
[4][0x4a - 1] = "Excel Semiconductor",
[4][0x4b - 1] = "A-DATA Technology",
[4][0x4c - 1] = "VirtualDigm",
[4][0x4d - 1] = "G Skill Intl",
[4][0x4e - 1] = "Quanta Computer",
[4][0x4f - 1] = "Yield Microelectronics",
[4][0x50 - 1] = "Afa Technologies",
[4][0x51 - 1] = "KINGBOX Technology Co Ltd",
[4][0x52 - 1] = "Ceva",
[4][0x53 - 1] = "iStor Networks",
[4][0x54 - 1] = "Advance Modules",
[4][0x55 - 1] = "Microsoft",
[4][0x56 - 1] = "Open-Silicon",
[4][0x57 - 1] = "Goal Semiconductor",
[4][0x58 - 1] = "ARC International",
[4][0x59 - 1] = "Simmtec",
[4][0x5a - 1] = "Metanoia",
[4][0x5b - 1] = "Key Stream",
[4][0x5c - 1] = "Lowrance Electronics",
[4][0x5d - 1] = "Adimos",
[4][0x5e - 1] = "SiGe Semiconductor",
[4][0x5f - 1] = "Fodus Communications",
[4][0x60 - 1] = "Credence Systems Corp",
[4][0x61 - 1] = "Genesis Microchip Inc",
[4][0x62 - 1] = "Vihana Inc",
[4][0x63 - 1] = "WIS Technologies",
[4][0x64 - 1] = "GateChange Technologies",
[4][0x65 - 1] = "High Density Devices AS",
[4][0x66 - 1] = "Synopsys",
[4][0x67 - 1] = "Gigaram",
[4][0x68 - 1] = "Enigma Semiconductor Inc",
[4][0x69 - 1] = "Century Micro Inc",
[4][0x6a - 1] = "Icera Semiconductor",
[4][0x6b - 1] = "Mediaworks Integrated Systems",
[4][0x6c - 1] = "O'Neil Product Development",
[4][0x6d - 1] = "Supreme Top Technology Ltd",
[4][0x6e - 1] = "MicroDisplay Corporation",
[4][0x6f - 1] = "Team Group Inc",
[4][0x70 - 1] = "Sinett Corporation",
[4][0x71 - 1] = "Toshiba Corporation",
[4][0x72 - 1] = "Tensilica",
[4][0x73 - 1] = "SiRF Technology",
[4][0x74 - 1] = "Bacoc Inc",
[4][0x75 - 1] = "SMaL Camera Technologies",
[4][0x76 - 1] = "Thomson SC",
[4][0x77 - 1] = "Airgo Networks",
[4][0x78 - 1] = "Wisair Ltd",
[4][0x79 - 1] = "SigmaTel",
[4][0x7a - 1] = "Arkados",
[4][0x7b - 1] = "Compete IT gmbH Co KG",
[4][0x7c - 1] = "Eudar Technology Inc",
[4][0x7d - 1] = "Focus Enhancements",
[4][0x7e - 1] = "Xyratex",
[5][0x01 - 1] = "Specular Networks",
[5][0x02 - 1] = "Patriot Memory (PDP Systems)",
[5][0x03 - 1] = "U-Chip Technology Corp",
[5][0x04 - 1] = "Silicon Optix",
[5][0x05 - 1] = "Greenfield Networks",
[5][0x06 - 1] = "CompuRAM GmbH",
[5][0x07 - 1] = "Stargen Inc",
[5][0x08 - 1] = "NetCell Corporation",
[5][0x09 - 1] = "Excalibrus Technologies Ltd",
[5][0x0a - 1] = "SCM Microsystems",
[5][0x0b - 1] = "Xsigo Systems Inc",
[5][0x0c - 1] = "CHIPS & Systems Inc",
[5][0x0d - 1] = "Tier 1 Multichip Solutions",
[5][0x0e - 1] = "CWRL Labs",
[5][0x0f - 1] = "Teradici",
[5][0x10 - 1] = "Gigaram Inc",
[5][0x11 - 1] = "g2 Microsystems",
[5][0x12 - 1] = "PowerFlash Semiconductor",
[5][0x13 - 1] = "P.A. Semi Inc",
[5][0x14 - 1] = "NovaTech Solutions S.A.",
[5][0x15 - 1] = "c2 Microsystems Inc",
[5][0x16 - 1] = "Level5 Networks",
[5][0x17 - 1] = "COS Memory AG",
[5][0x18 - 1] = "Innovasic Semiconductor",
[5][0x19 - 1] = "02IC Co Ltd",
[5][0x1a - 1] = "Tabula Inc",
[5][0x1b - 1] = "Crucial Technology",
[5][0x1c - 1] = "Chelsio Communications",
[5][0x1d - 1] = "Solarflare Communications",
[5][0x1e - 1] = "Xambala Inc",
[5][0x1f - 1] = "EADS Astrium",
[5][0x20 - 1] = "Terra Semiconductor Inc",
[5][0x21 - 1] = "Imaging Works Inc",
[5][0x22 - 1] = "Astute Networks Inc",
[5][0x23 - 1] = "Tzero",
[5][0x24 - 1] = "Emulex",
[5][0x25 - 1] = "Power-One",
[5][0x26 - 1] = "Pulse~LINK Inc",
[5][0x27 - 1] = "Hon Hai Precision Industry",
[5][0x28 - 1] = "White Rock Networks Inc",
[5][0x29 - 1] = "Telegent Systems USA Inc",
[5][0x2a - 1] = "Atrua Technologies Inc",
[5][0x2b - 1] = "Acbel Polytech Inc",
[5][0x2c - 1] = "eRide Inc",
[5][0x2d - 1] = "ULi Electronics Inc",
[5][0x2e - 1] = "Magnum Semiconductor Inc",
[5][0x2f - 1] = "neoOne Technology Inc",
[5][0x30 - 1] = "Connex Technology Inc",
[5][0x31 - 1] = "Stream Processors Inc",
[5][0x32 - 1] = "Focus Enhancements",
[5][0x33 - 1] = "Telecis Wireless Inc",
[5][0x34 - 1] = "uNav Microelectronics",
[5][0x35 - 1] = "Tarari Inc",
[5][0x36 - 1] = "Ambric Inc",
[5][0x37 - 1] = "Newport Media Inc",
[5][0x38 - 1] = "VMTS",
[5][0x39 - 1] = "Enuclia Semiconductor Inc",
[5][0x3a - 1] = "Virtium Technology Inc",
[5][0x3b - 1] = "Solid State System Co Ltd",
[5][0x3c - 1] = "Kian Tech LLC",
[5][0x3d - 1] = "Artimi",
[5][0x3e - 1] = "Power Quotient International",
[5][0x3f - 1] = "Avago Technologies",
[5][0x40 - 1] = "ADTechnology",
[5][0x41 - 1] = "Sigma Designs",
[5][0x42 - 1] = "SiCortex Inc",
[5][0x43 - 1] = "Ventura Technology Group",
[5][0x44 - 1] = "eASIC",
[5][0x45 - 1] = "M.H.S. SAS",
[5][0x46 - 1] = "Micro Star International",
[5][0x47 - 1] = "Rapport Inc",
[5][0x48 - 1] = "Makway International",
[5][0x49 - 1] = "Broad Reach Engineering Co",
[5][0x4a - 1] = "Semiconductor Mfg Intl Corp",
[5][0x4b - 1] = "SiConnect",
[5][0x4c - 1] = "FCI USA Inc",
[5][0x4d - 1] = "Validity Sensors",
[5][0x4e - 1] = "Coney Technology Co Ltd",
[5][0x4f - 1] = "Spans Logic",
[5][0x50 - 1] = "Neterion Inc",
[5][0x51 - 1] = "Qimonda",
[5][0x52 - 1] = "New Japan Radio Co Ltd",
[5][0x53 - 1] = "Velogix",
[5][0x54 - 1] = "Montalvo Systems",
[5][0x55 - 1] = "iVivity Inc",
[5][0x56 - 1] = "Walton Chaintech",
[5][0x57 - 1] = "AENEON",
[5][0x58 - 1] = "Lorom Industrial Co Ltd",
[5][0x59 - 1] = "Radiospire Networks",
[5][0x5a - 1] = "Sensio Technologies Inc",
[5][0x5b - 1] = "Nethra Imaging",
[5][0x5c - 1] = "Hexon Technology Pte Ltd",
[5][0x5d - 1] = "CompuStocx (CSX)",
[5][0x5e - 1] = "Methode Electronics Inc",
[5][0x5f - 1] = "Connect One Ltd",
[5][0x60 - 1] = "Opulan Technologies",
[5][0x61 - 1] = "Septentrio NV",
[5][0x62 - 1] = "Goldenmars Technology Inc",
[5][0x63 - 1] = "Kreton Corporation",
[5][0x64 - 1] = "Cochlear Ltd",
[5][0x65 - 1] = "Altair Semiconductor",
[5][0x66 - 1] = "NetEffect Inc",
[5][0x67 - 1] = "Spansion Inc",
[5][0x68 - 1] = "Taiwan Semiconductor Mfg",
[5][0x69 - 1] = "Emphany Systems Inc",
[5][0x6a - 1] = "ApaceWave Technologies",
[5][0x6b - 1] = "Mobilygen Corporation",
[5][0x6c - 1] = "Tego",
[5][0x6d - 1] = "Cswitch Corporation",
[5][0x6e - 1] = "Haier (Beijing) IC Design Co",
[5][0x6f - 1] = "MetaRAM",
[5][0x70 - 1] = "Axel Electronics Co Ltd",
[5][0x71 - 1] = "Tilera Corporation",
[5][0x72 - 1] = "Aquantia",
[5][0x73 - 1] = "Vivace Semiconductor",
[5][0x74 - 1] = "Redpine Signals",
[5][0x75 - 1] = "Octalica",
[5][0x76 - 1] = "InterDigital Communications",
[5][0x77 - 1] = "Avant Technology",
[5][0x78 - 1] = "Asrock Inc",
[5][0x79 - 1] = "Availink",
[5][0x7a - 1] = "Quartics Inc",
[5][0x7b - 1] = "Element CXI",
[5][0x7c - 1] = "Innovaciones Microelectronicas",
[5][0x7d - 1] = "VeriSilicon Microelectronics",
[5][0x7e - 1] = "W5 Networks",
[6][0x01 - 1] = "MOVEKING",
[6][0x02 - 1] = "Mavrix Technology Inc",
[6][0x03 - 1] = "CellGuide Ltd",
[6][0x04 - 1] = "Faraday Technology",
[6][0x05 - 1] = "Diablo Technologies Inc",
[6][0x06 - 1] = "Jennic",
[6][0x07 - 1] = "Octasic",
[6][0x08 - 1] = "Molex Incorporated",
[6][0x09 - 1] = "3Leaf Networks",
[6][0x0a - 1] = "Bright Micron Technology",
[6][0x0b - 1] = "Netxen",
[6][0x0c - 1] = "NextWave Broadband Inc",
[6][0x0d - 1] = "DisplayLink",
[6][0x0e - 1] = "ZMOS Technology",
[6][0x0f - 1] = "Tec-Hill",
[6][0x10 - 1] = "Multigig Inc",
[6][0x11 - 1] = "Amimon",
[6][0x12 - 1] = "Euphonic Technologies Inc",
[6][0x13 - 1] = "BRN Phoenix",
[6][0x14 - 1] = "InSilica",
[6][0x15 - 1] = "Ember Corporation",
[6][0x16 - 1] = "Avexir Technologies Corporation",
[6][0x17 - 1] = "Echelon Corporation",
[6][0x18 - 1] = "Edgewater Computer Systems",
[6][0x19 - 1] = "XMOS Semiconductor Ltd",
[6][0x1a - 1] = "GENUSION Inc",
[6][0x1b - 1] = "Memory Corp NV",
[6][0x1c - 1] = "SiliconBlue Technologies",
[6][0x1d - 1] = "Rambus Inc",
[6][0x1e - 1] = "Andes Technology Corporation",
[6][0x1f - 1] = "Coronis Systems",
[6][0x20 - 1] = "Achronix Semiconductor",
[6][0x21 - 1] = "Siano Mobile Silicon Ltd",
[6][0x22 - 1] = "Semtech Corporation",
[6][0x23 - 1] = "Pixelworks Inc",
[6][0x24 - 1] = "Gaisler Research AB",
[6][0x25 - 1] = "Teranetics",
[6][0x26 - 1] = "Toppan Printing Co Ltd",
[6][0x27 - 1] = "Kingxcon",
[6][0x28 - 1] = "Silicon Integrated Systems",
[6][0x29 - 1] = "I-O Data Device Inc",
[6][0x2a - 1] = "NDS Americas Inc",
[6][0x2b - 1] = "Solomon Systech Limited",
[6][0x2c - 1] = "On Demand Microelectronics",
[6][0x2d - 1] = "Amicus Wireless Inc",
[6][0x2e - 1] = "SMARDTV SNC",
[6][0x2f - 1] = "Comsys Communication Ltd",
[6][0x30 - 1] = "Movidia Ltd",
[6][0x31 - 1] = "Javad GNSS Inc",
[6][0x32 - 1] = "Montage Technology Group",
[6][0x33 - 1] = "Trident Microsystems",
[6][0x34 - 1] = "Super Talent",
[6][0x35 - 1] = "Optichron Inc",
[6][0x36 - 1] = "Future Waves UK Ltd",
[6][0x37 - 1] = "SiBEAM Inc",
[6][0x38 - 1] = "InicoreInc",
[6][0x39 - 1] = "Virident Systems",
[6][0x3a - 1] = "M2000 Inc",
[6][0x3b - 1] = "ZeroG Wireless Inc",
[6][0x3c - 1] = "Gingle Technology Co Ltd",
[6][0x3d - 1] = "Space Micro Inc",
[6][0x3e - 1] = "Wilocity",
[6][0x3f - 1] = "Novafora Inc",
[6][0x40 - 1] = "iKoa Corporation",
[6][0x41 - 1] = "ASint Technology",
[6][0x42 - 1] = "Ramtron",
[6][0x43 - 1] = "Plato Networks Inc",
[6][0x44 - 1] = "IPtronics AS",
[6][0x45 - 1] = "Infinite-Memories",
[6][0x46 - 1] = "Parade Technologies Inc",
[6][0x47 - 1] = "Dune Networks",
[6][0x48 - 1] = "GigaDevice Semiconductor",
[6][0x49 - 1] = "Modu Ltd",
[6][0x4a - 1] = "CEITEC",
[6][0x4b - 1] = "Northrop Grumman",
[6][0x4c - 1] = "XRONET Corporation",
[6][0x4d - 1] = "Sicon Semiconductor AB",
[6][0x4e - 1] = "Atla Electronics Co Ltd",
[6][0x4f - 1] = "TOPRAM Technology",
[6][0x50 - 1] = "Silego Technology Inc",
[6][0x51 - 1] = "Kinglife",
[6][0x52 - 1] = "Ability Industries Ltd",
[6][0x53 - 1] = "Silicon Power Computer & Communications",
[6][0x54 - 1] = "Augusta Technology Inc",
[6][0x55 - 1] = "Nantronics Semiconductors",
[6][0x56 - 1] = "Hilscher Gesellschaft",
[6][0x57 - 1] = "Quixant Ltd",
[6][0x58 - 1] = "Percello Ltd",
[6][0x59 - 1] = "NextIO Inc",
[6][0x5a - 1] = "Scanimetrics Inc",
[6][0x5b - 1] = "FS-Semi Company Ltd",
[6][0x5c - 1] = "Infinera Corporation",
[6][0x5d - 1] = "SandForce Inc",
[6][0x5e - 1] = "Lexar Media",
[6][0x5f - 1] = "Teradyne Inc",
[6][0x60 - 1] = "Memory Exchange Corp",
[6][0x61 - 1] = "Suzhou Smartek Electronics",
[6][0x62 - 1] = "Avantium Corporation",
[6][0x63 - 1] = "ATP Electronics Inc",
[6][0x64 - 1] = "Valens Semiconductor Ltd",
[6][0x65 - 1] = "Agate Logic Inc",
[6][0x66 - 1] = "Netronome",
[6][0x67 - 1] = "Zenverge Inc",
[6][0x68 - 1] = "N-trig Ltd",
[6][0x69 - 1] = "SanMax Technologies Inc",
[6][0x6a - 1] = "Contour Semiconductor Inc",
[6][0x6b - 1] = "TwinMOS",
[6][0x6c - 1] = "Silicon Systems Inc",
[6][0x6d - 1] = "V-Color Technology Inc",
[6][0x6e - 1] = "Certicom Corporation",
[6][0x6f - 1] = "JSC ICC Milandr",
[6][0x70 - 1] = "PhotoFast Global Inc",
[6][0x71 - 1] = "InnoDisk Corporation",
[6][0x72 - 1] = "Muscle Power",
[6][0x73 - 1] = "Energy Micro",
[6][0x74 - 1] = "Innofidei",
[6][0x75 - 1] = "CopperGate Communications",
[6][0x76 - 1] = "Holtek Semiconductor Inc",
[6][0x77 - 1] = "Myson Century Inc",
[6][0x78 - 1] = "FIDELIX",
[6][0x79 - 1] = "Red Digital Cinema",
[6][0x7a - 1] = "Densbits Technology",
[6][0x7b - 1] = "Zempro",
[6][0x7c - 1] = "MoSys",
[6][0x7d - 1] = "Provigent",
[6][0x7e - 1] = "Triad Semiconductor Inc",
[7][0x01 - 1] = "Siklu Communication Ltd",
[7][0x02 - 1] = "A Force Manufacturing Ltd",
[7][0x03 - 1] = "Strontium",
[7][0x04 - 1] = "ALi Corp (Abilis Systems)",
[7][0x05 - 1] = "Siglead Inc",
[7][0x06 - 1] = "Ubicom Inc",
[7][0x07 - 1] = "Unifosa Corporation",
[7][0x08 - 1] = "Stretch Inc",
[7][0x09 - 1] = "Lantiq Deutschland GmbH",
[7][0x0a - 1] = "Visipro.",
[7][0x0b - 1] = "EKMemory",
[7][0x0c - 1] = "Microelectronics Institute ZTE",
[7][0x0d - 1] = "u-blox AG",
[7][0x0e - 1] = "Carry Technology Co Ltd",
[7][0x0f - 1] = "Nokia",
[7][0x10 - 1] = "King Tiger Technology",
[7][0x11 - 1] = "Sierra Wireless",
[7][0x12 - 1] = "HT Micron",
[7][0x13 - 1] = "Albatron Technology Co Ltd",
[7][0x14 - 1] = "Leica Geosystems AG",
[7][0x15 - 1] = "BroadLight",
[7][0x16 - 1] = "AEXEA",
[7][0x17 - 1] = "ClariPhy Communications Inc",
[7][0x18 - 1] = "Green Plug",
[7][0x19 - 1] = "Design Art Networks",
[7][0x1a - 1] = "Mach Xtreme Technology Ltd",
[7][0x1b - 1] = "ATO Solutions Co Ltd",
[7][0x1c - 1] = "Ramsta",
[7][0x1d - 1] = "Greenliant Systems Ltd",
[7][0x1e - 1] = "Teikon",
[7][0x1f - 1] = "Antec Hadron",
[7][0x20 - 1] = "NavCom Technology Inc",
[7][0x21 - 1] = "Shanghai Fudan Microelectronics",
[7][0x22 - 1] = "Calxeda Inc",
[7][0x23 - 1] = "JSC EDC Electronics",
[7][0x24 - 1] = "Kandit Technology Co Ltd",
[7][0x25 - 1] = "Ramos Technology",
[7][0x26 - 1] = "Goldenmars Technology",
[7][0x27 - 1] = "XeL Technology Inc",
[7][0x28 - 1] = "Newzone Corporation",
[7][0x29 - 1] = "ShenZhen MercyPower Tech",
[7][0x2a - 1] = "Nanjing Yihuo Technology",
[7][0x2b - 1] = "Nethra Imaging Inc",
[7][0x2c - 1] = "SiTel Semiconductor BV",
[7][0x2d - 1] = "SolidGear Corporation",
[7][0x2e - 1] = "Topower Computer Ind Co Ltd",
[7][0x2f - 1] = "Wilocity",
[7][0x30 - 1] = "Profichip GmbH",
[7][0x31 - 1] = "Gerad Technologies",
[7][0x32 - 1] = "Ritek Corporation",
[7][0x33 - 1] = "Gomos Technology Limited",
[7][0x34 - 1] = "Memoright Corporation",
[7][0x35 - 1] = "D-Broad Inc",
[7][0x36 - 1] = "HiSilicon Technologies",
[7][0x37 - 1] = "Syndiant Inc.",
[7][0x38 - 1] = "Enverv Inc",
[7][0x39 - 1] = "Cognex",
[7][0x3a - 1] = "Xinnova Technology Inc",
[7][0x3b - 1] = "Ultron AG",
[7][0x3c - 1] = "Concord Idea Corporation",
[7][0x3d - 1] = "AIM Corporation",
[7][0x3e - 1] = "Lifetime Memory Products",
[7][0x3f - 1] = "Ramsway",
[7][0x40 - 1] = "Recore Systems B.V.",
[7][0x41 - 1] = "Haotian Jinshibo Science Tech",
[7][0x42 - 1] = "Being Advanced Memory",
[7][0x43 - 1] = "Adesto Technologies",
[7][0x44 - 1] = "Giantec Semiconductor Inc",
[7][0x45 - 1] = "HMD Electronics AG",
[7][0x46 - 1] = "Gloway International (HK)",
[7][0x47 - 1] = "Kingcore",
[7][0x48 - 1] = "Anucell Technology Holding",
[7][0x49 - 1] = "Accord Software & Systems Pvt. Ltd",
[7][0x4a - 1] = "Active-Semi Inc",
[7][0x4b - 1] = "Denso Corporation",
[7][0x4c - 1] = "TLSI Inc",
[7][0x4d - 1] = "Qidan",
[7][0x4e - 1] = "Mustang",
[7][0x4f - 1] = "Orca Systems",
[7][0x50 - 1] = "Passif Semiconductor",
[7][0x51 - 1] = "GigaDevice Semiconductor (Beijing)",
[7][0x52 - 1] = "Memphis Electronic",
[7][0x53 - 1] = "Beckhoff Automation GmbH",
[7][0x54 - 1] = "Harmony Semiconductor Corp",
[7][0x55 - 1] = "Air Computers SRL",
[7][0x56 - 1] = "TMT Memory",
[7][0x57 - 1] = "Eorex Corporation",
[7][0x58 - 1] = "Xingtera",
[7][0x59 - 1] = "Netsol",
[7][0x5a - 1] = "Bestdon Technology Co Ltd",
[7][0x5b - 1] = "Baysand Inc",
[7][0x5c - 1] = "Uroad Technology Co Ltd",
[7][0x5d - 1] = "Wilk Elektronik S.A.",
[7][0x5e - 1] = "AAI",
[7][0x5f - 1] = "Harman",
[7][0x60 - 1] = "Berg Microelectronics Inc",
[7][0x61 - 1] = "ASSIA Inc",
[7][0x62 - 1] = "Visiontek Products LLC",
[7][0x63 - 1] = "OCMEMORY",
[7][0x64 - 1] = "Welink Solution Inc",
[7][0x65 - 1] = "Shark Gaming",
[7][0x66 - 1] = "Avalanche Technology",
[7][0x67 - 1] = "R&D Center ELVEES OJSC",
[7][0x68 - 1] = "KingboMars Technology Co Ltd",
[7][0x69 - 1] = "High Bridge Solutions Industria Eletronica",
[7][0x6a - 1] = "Transcend Technology Co Ltd",
[7][0x6b - 1] = "Everspin Technologies",
[7][0x6c - 1] = "Hon-Hai Precision",
[7][0x6d - 1] = "Smart Storage Systems",
[7][0x6e - 1] = "Toumaz Group",
[7][0x6f - 1] = "Zentel Electronics Corporation",
[7][0x70 - 1] = "Panram International Corporation",
[7][0x71 - 1] = "Silicon Space Technology",
[7][0x72 - 1] = "LITE-ON IT Corporation",
[7][0x73 - 1] = "Inuitive",
[7][0x74 - 1] = "HMicro",
[7][0x75 - 1] = "BittWare Inc",
[7][0x76 - 1] = "GLOBALFOUNDRIES",
[7][0x77 - 1] = "ACPI Digital Co Ltd",
[7][0x78 - 1] = "Annapurna Labs",
[7][0x79 - 1] = "AcSiP Technology Corporation",
[7][0x7a - 1] = "Idea! Electronic Systems",
[7][0x7b - 1] = "Gowe Technology Co Ltd",
[7][0x7c - 1] = "Hermes Testing Solutions Inc",
[7][0x7d - 1] = "Positivo BGH",
[7][0x7e - 1] = "Intelligence Silicon Technology",
[8][0x01 - 1] = "3D PLUS",
[8][0x02 - 1] = "Diehl Aerospace",
[8][0x03 - 1] = "Fairchild",
[8][0x04 - 1] = "Mercury Systems",
[8][0x05 - 1] = "Sonics Inc",
[8][0x06 - 1] = "Emerson Automation Solutions",
[8][0x07 - 1] = "Shenzhen Jinge Information Co Ltd",
[8][0x08 - 1] = "SCWW",
[8][0x09 - 1] = "Silicon Motion Inc",
[8][0x0a - 1] = "Anurag",
[8][0x0b - 1] = "King Kong",
[8][0x0c - 1] = "FROM30 Co Ltd",
[8][0x0d - 1] = "Gowin Semiconductor Corp",
[8][0x0e - 1] = "Fremont Micro Devices Ltd",
[8][0x0f - 1] = "Ericsson Modems",
[8][0x10 - 1] = "Exelis",
[8][0x11 - 1] = "Satixfy Ltd",
[8][0x12 - 1] = "Galaxy Microsystems Ltd",
[8][0x13 - 1] = "Gloway International Co Ltd",
[8][0x14 - 1] = "Lab",
[8][0x15 - 1] = "Smart Energy Instruments",
[8][0x16 - 1] = "Approved Memory Corporation",
[8][0x17 - 1] = "Axell Corporation",
[8][0x18 - 1] = "Essencore Limited",
[8][0x19 - 1] = "Phytium",
[8][0x1a - 1] = "Xi'an UniIC Semiconductors Co Ltd",
[8][0x1b - 1] = "Ambiq Micro",
[8][0x1c - 1] = "eveRAM Technology Inc",
[8][0x1d - 1] = "Infomax",
[8][0x1e - 1] = "Butterfly Network Inc",
[8][0x1f - 1] = "Shenzhen City Gcai Electronics",
[8][0x20 - 1] = "Stack Devices Corporation",
[8][0x21 - 1] = "ADK Media Group",
[8][0x22 - 1] = "TSP Global Co Ltd",
[8][0x23 - 1] = "HighX",
[8][0x24 - 1] = "Shenzhen Elicks Technology",
[8][0x25 - 1] = "XinKai/Silicon Kaiser",
[8][0x26 - 1] = "Google Inc",
[8][0x27 - 1] = "Dasima International Development",
[8][0x28 - 1] = "Leahkinn Technology Limited",
[8][0x29 - 1] = "HIMA Paul Hildebrandt GmbH Co KG",
[8][0x2a - 1] = "Keysight Technologies",
[8][0x2b - 1] = "Techcomp International (Fastable)",
[8][0x2c - 1] = "Ancore Technology Corporation",
[8][0x2d - 1] = "Nuvoton",
[8][0x2e - 1] = "Korea Uhbele International Group Ltd",
[8][0x2f - 1] = "Ikegami Tsushinki Co Ltd",
[8][0x30 - 1] = "RelChip Inc",
[8][0x31 - 1] = "Baikal Electronics",
[8][0x32 - 1] = "Nemostech Inc",
[8][0x33 - 1] = "Memorysolution GmbH",
[8][0x34 - 1] = "Silicon Integrated Systems Corporation",
[8][0x35 - 1] = "Xiede",
[8][0x36 - 1] = "BRC",
[8][0x37 - 1] = "Flash Chi",
[8][0x38 - 1] = "Jone",
[8][0x39 - 1] = "GCT Semiconductor Inc",
[8][0x3a - 1] = "Hong Kong Zetta Device Technology",
[8][0x3b - 1] = "Unimemory Technology(s) Pte Ltd",
[8][0x3c - 1] = "Cuso",
[8][0x3d - 1] = "Kuso",
[8][0x3e - 1] = "Uniquify Inc",
[8][0x3f - 1] = "Skymedi Corporation",
[8][0x40 - 1] = "Core Chance Co Ltd",
[8][0x41 - 1] = "Tekism Co Ltd",
[8][0x42 - 1] = "Seagate Technology PLC",
[8][0x43 - 1] = "Hong Kong Gaia Group Co Limited",
[8][0x44 - 1] = "Gigacom Semiconductor LLC",
[8][0x45 - 1] = "V2 Technologies",
[8][0x46 - 1] = "TLi",
[8][0x47 - 1] = "Neotion",
[8][0x48 - 1] = "Lenovo",
[8][0x49 - 1] = "Shenzhen Zhongteng Electronic Corp Ltd",
[8][0x4a - 1] = "Compound Photonics",
[8][0x4b - 1] = "in2H2 inc",
[8][0x4c - 1] = "Shenzhen Pango Microsystems Co Ltd",
[8][0x4d - 1] = "Vasekey",
[8][0x4e - 1] = "Cal-Comp Industria de Semicondutores",
[8][0x4f - 1] = "Eyenix Co Ltd",
[8][0x50 - 1] = "Heoriady",
[8][0x51 - 1] = "Accelerated Memory Production Inc",
[8][0x52 - 1] = "INVECAS Inc",
[8][0x53 - 1] = "AP Memory",
[8][0x54 - 1] = "Douqi Technology",
[8][0x55 - 1] = "Etron Technology Inc",
[8][0x56 - 1] = "Indie Semiconductor",
[8][0x57 - 1] = "Socionext Inc",
[8][0x58 - 1] = "HGST",
[8][0x59 - 1] = "EVGA",
[8][0x5a - 1] = "Audience Inc",
[8][0x5b - 1] = "EpicGear",
[8][0x5c - 1] = "Vitesse Enterprise Co",
[8][0x5d - 1] = "Foxtronn International Corporation",
[8][0x5e - 1] = "Bretelon Inc",
[8][0x5f - 1] = "Graphcore",
[8][0x60 - 1] = "Eoplex Inc",
[8][0x61 - 1] = "MaxLinear Inc",
[8][0x62 - 1] = "ETA Devices",
[8][0x63 - 1] = "LOKI",
[8][0x64 - 1] = "IMS Electronics Co Ltd",
[8][0x65 - 1] = "Dosilicon Co Ltd",
[8][0x66 - 1] = "Dolphin Integration",
[8][0x67 - 1] = "Shenzhen Mic Electronics Technolog",
[8][0x68 - 1] = "Boya Microelectronics Inc",
[8][0x69 - 1] = "Geniachip (Roche)",
[8][0x6a - 1] = "Axign",
[8][0x6b - 1] = "Kingred Electronic Technology Ltd",
[8][0x6c - 1] = "Chao Yue Zhuo Computer Business Dept.",
[8][0x6d - 1] = "Guangzhou Si Nuo Electronic Technology.",
[8][0x6e - 1] = "Crocus Technology Inc",
[8][0x6f - 1] = "Creative Chips GmbH",
[8][0x70 - 1] = "GE Aviation Systems LLC.",
[8][0x71 - 1] = "Asgard",
[8][0x72 - 1] = "Good Wealth Technology Ltd",
[8][0x73 - 1] = "TriCor Technologies",
[8][0x74 - 1] = "Nova-Systems GmbH",
[8][0x75 - 1] = "JUHOR",
[8][0x76 - 1] = "Zhuhai Douke Commerce Co Ltd",
[8][0x77 - 1] = "DSL Memory",
[8][0x78 - 1] = "Anvo-Systems Dresden GmbH",
[8][0x79 - 1] = "Realtek",
[8][0x7a - 1] = "AltoBeam",
[8][0x7b - 1] = "Wave Computing",
[8][0x7c - 1] = "Beijing TrustNet Technology Co Ltd",
[8][0x7d - 1] = "Innovium Inc",
[8][0x7e - 1] = "Starsway Technology Limited",
[9][0x01 - 1] = "Weltronics Co LTD",
[9][0x02 - 1] = "VMware Inc",
[9][0x03 - 1] = "Hewlett Packard Enterprise",
[9][0x04 - 1] = "INTENSO",
[9][0x05 - 1] = "Puya Semiconductor",
[9][0x06 - 1] = "MEMORFI",
[9][0x07 - 1] = "MSC Technologies GmbH",
[9][0x08 - 1] = "Txrui",
[9][0x09 - 1] = "SiFive Inc",
[9][0x0a - 1] = "Spreadtrum Communications",
[9][0x0b - 1] = "XTX Technology Limited",
[9][0x0c - 1] = "UMAX Technology",
[9][0x0d - 1] = "Shenzhen Yong Sheng Technology",
[9][0x0e - 1] = "SNOAMOO (Shenzhen Kai Zhuo Yue)",
[9][0x0f - 1] = "Daten Tecnologia LTDA",
[9][0x10 - 1] = "Shenzhen XinRuiYan Electronics",
[9][0x11 - 1] = "Eta Compute",
[9][0x12 - 1] = "Energous",
[9][0x13 - 1] = "Raspberry Pi Trading Ltd",
[9][0x14 - 1] = "Shenzhen Chixingzhe Tech Co Ltd",
[9][0x15 - 1] = "Silicon Mobility",
[9][0x16 - 1] = "IQ-Analog Corporation",
[9][0x17 - 1] = "Uhnder Inc",
[9][0x18 - 1] = "Impinj",
[9][0x19 - 1] = "DEPO Computers",
[9][0x1a - 1] = "Nespeed Sysems",
[9][0x1b - 1] = "Yangtze Memory Technologies Co Ltd",
[9][0x1c - 1] = "MemxPro Inc",
[9][0x1d - 1] = "Tammuz Co Ltd",
[9][0x1e - 1] = "Allwinner Technology",
[9][0x1f - 1] = "Shenzhen City Futian District Qing Xuan Tong Computer Trading Firm",
[9][0x20 - 1] = "XMC",
[9][0x21 - 1] = "Teclast",
[9][0x22 - 1] = "Maxsun",
[9][0x23 - 1] = "Haiguang Integrated Circuit Design",
[9][0x24 - 1] = "RamCENTER Technology",
[9][0x25 - 1] = "Phison Electronics Corporation",
[9][0x26 - 1] = "Guizhou Huaxintong Semi-Conductor",
[9][0x27 - 1] = "Network Intelligence",
[9][0x28 - 1] = "Continental Technology (Holdings)",
[9][0x29 - 1] = "Guangzhou Huayan Suning Electronic",
[9][0x2a - 1] = "Guangzhou Zhouji Electronic Co Ltd",
[9][0x2b - 1] = "Shenzhen Giant Hui Kang Tech Co Ltd",
[9][0x2c - 1] = "Shenzhen Yilong Innovative Co Ltd",
[9][0x2d - 1] = "Neo Forza",
[9][0x2e - 1] = "Lyontek Inc",
[9][0x2f - 1] = "Shanghai Kuxin Microelectronics Ltd",
[9][0x30 - 1] = "Shenzhen Larix Technology Co Ltd",
[9][0x31 - 1] = "Qbit Semiconductor Ltd",
[9][0x32 - 1] = "Insignis Technology Corporation",
[9][0x33 - 1] = "Lanson Memory Co Ltd",
[9][0x34 - 1] = "Shenzhen Superway Electronics Co Ltd",
[9][0x35 - 1] = "Canaan-Creative Co Ltd",
[9][0x36 - 1] = "Black Diamond Memory",
[9][0x37 - 1] = "Shenzhen City Parker Baking Electronics",
[9][0x38 - 1] = "Shenzhen Baihong Technology Co Ltd",
[9][0x39 - 1] = "GEO Semiconductors",
[9][0x3a - 1] = "OCPC",
[9][0x3b - 1] = "Artery Technology Co Ltd",
[9][0x3c - 1] = "Jinyu",
[9][0x3d - 1] = "ShenzhenYing Chi Technology Development",
[9][0x3e - 1] = "Shenzhen Pengcheng Xin Technology",
[9][0x3f - 1] = "Pegasus Semiconductor (Shanghai) Co",
[9][0x40 - 1] = "Mythic Inc",
[9][0x41 - 1] = "Elmos Semiconductor AG",
[9][0x42 - 1] = "Kllisre",
[9][0x43 - 1] = "Shenzhen Winconway Technology",
[9][0x44 - 1] = "Shenzhen Xingmem Technology Corp",
[9][0x45 - 1] = "Gold Key Technology Co Ltd",
[9][0x46 - 1] = "Habana Labs Ltd",
[9][0x47 - 1] = "Hoodisk Electronics Co Ltd",
[9][0x48 - 1] = "SemsoTai (SZ) Technology Co Ltd",
[9][0x49 - 1] = "OM Nanotech Pvt. Ltd",
[9][0x4a - 1] = "Shenzhen Zhifeng Weiye Technology",
[9][0x4b - 1] = "Xinshirui (Shenzhen) Electronics Co",
[9][0x4c - 1] = "Guangzhou Zhong Hao Tian Electronic",
[9][0x4d - 1] = "Shenzhen Longsys Electronics Co Ltd",
[9][0x4e - 1] = "Deciso B.V.",
[9][0x4f - 1] = "Puya Semiconductor (Shenzhen)",
[9][0x50 - 1] = "Shenzhen Veineda Technology Co Ltd",
[9][0x51 - 1] = "Antec Memory",
[9][0x52 - 1] = "Cortus SAS",
[9][0x53 - 1] = "Dust Leopard",
[9][0x54 - 1] = "MyWo AS",
[9][0x55 - 1] = "J&A Information Inc",
[9][0x56 - 1] = "Shenzhen JIEPEI Technology Co Ltd",
[9][0x57 - 1] = "Heidelberg University",
[9][0x58 - 1] = "Flexxon PTE Ltd",
[9][0x59 - 1] = "Wiliot",
[9][0x5a - 1] = "Raysun Electronics International Ltd",
[9][0x5b - 1] = "Aquarius Production Company LLC",
[9][0x5c - 1] = "MACNICA DHW LTDA",
[9][0x5d - 1] = "Intelimem",
[9][0x5e - 1] = "Zbit Semiconductor Inc",
[9][0x5f - 1] = "Shenzhen Technology Co Ltd",
[9][0x60 - 1] = "Signalchip",
[9][0x61 - 1] = "Shenzen Recadata Storage Technology",
[9][0x62 - 1] = "Hyundai Technology",
[9][0x63 - 1] = "Shanghai Fudi Investment Development",
[9][0x64 - 1] = "Aixi Technology",
[9][0x65 - 1] = "Tecon MT",
[9][0x66 - 1] = "Onda Electric Co Ltd",
[9][0x67 - 1] = "Jinshen",
[9][0x68 - 1] = "Kimtigo Semiconductor (HK) Limited",
[9][0x69 - 1] = "IIT Madras",
[9][0x6a - 1] = "Shenshan (Shenzhen) Electronic",
[9][0x6b - 1] = "Hefei Core Storage Electronic Limited",
[9][0x6c - 1] = "Colorful Technology Ltd",
[9][0x6d - 1] = "Visenta (Xiamen) Technology Co Ltd",
[9][0x6e - 1] = "Roa Logic BV",
[9][0x6f - 1] = "NSITEXE Inc",
[9][0x70 - 1] = "Hong Kong Hyunion Electronics",
[9][0x71 - 1] = "ASK Technology Group Limited",
[9][0x72 - 1] = "GIGA-BYTE Technology Co Ltd",
[9][0x73 - 1] = "Terabyte Co Ltd",
[9][0x74 - 1] = "Hyundai Inc",
[9][0x75 - 1] = "EXCELERAM",
[9][0x76 - 1] = "PsiKick",
[9][0x77 - 1] = "Netac Technology Co Ltd",
[9][0x78 - 1] = "PCCOOLER",
[9][0x79 - 1] = "Jiangsu Huacun Electronic Technology",
[9][0x7a - 1] = "Shenzhen Micro Innovation Industry",
[9][0x7b - 1] = "Beijing Tongfang Microelectronics Co",
[9][0x7c - 1] = "XZN Storage Technology",
[9][0x7d - 1] = "ChipCraft Sp. z.o.o.",
[9][0x7e - 1] = "ALLFLASH Technology Limited",
[10][0x01 - 1] = "Foerd Technology Co Ltd",
[10][0x02 - 1] = "KingSpec",
[10][0x03 - 1] = "Codasip GmbH",
[10][0x04 - 1] = "SL Link Co Ltd",
[10][0x05 - 1] = "Shenzhen Kefu Technology Co Limited",
[10][0x06 - 1] = "Shenzhen ZST Electronics Technology",
[10][0x07 - 1] = "Kyokuto Electronic Inc",
[10][0x08 - 1] = "Warrior Technology",
[10][0x09 - 1] = "TRINAMIC Motion Control GmbH & Co",
[10][0x0a - 1] = "PixelDisplay Inc",
[10][0x0b - 1] = "Shenzhen Futian District Bo Yueda Elec",
[10][0x0c - 1] = "Richtek Power",
[10][0x0d - 1] = "Shenzhen LianTeng Electronics Co Ltd",
[10][0x0e - 1] = "AITC Memory",
[10][0x0f - 1] = "UNIC Memory Technology Co Ltd",
[10][0x10 - 1] = "Shenzhen Huafeng Science Technology",
[10][0x11 - 1] = "CXMT",
[10][0x12 - 1] = "Guangzhou Xinyi Heng Computer Trading Firm",
[10][0x13 - 1] = "SambaNova Systems",
[10][0x14 - 1] = "V-GEN",
[10][0x15 - 1] = "Jump Trading",
[10][0x16 - 1] = "Ampere Computing",
[10][0x17 - 1] = "Shenzhen Zhongshi Technology Co Ltd",
[10][0x18 - 1] = "Shenzhen Zhongtian Bozhong Technology",
[10][0x19 - 1] = "Tri-Tech International",
[10][0x1a - 1] = "Silicon Intergrated Systems Corporation",
[10][0x1b - 1] = "Shenzhen HongDingChen Information",
[10][0x1c - 1] = "Plexton Holdings Limited",
[10][0x1d - 1] = "AMS (Jiangsu Advanced Memory Semi)",
[10][0x1e - 1] = "Wuhan Jing Tian Interconnected Tech Co",
[10][0x1f - 1] = "Axia Memory Technology",
[10][0x20 - 1] = "Chipset Technology Holding Limited",
[10][0x21 - 1] = "Shenzhen Xinshida Technology Co Ltd",
[10][0x22 - 1] = "Shenzhen Chuangshifeida Technology",
[10][0x23 - 1] = "Guangzhou MiaoYuanJi Technology",
[10][0x24 - 1] = "ADVAN Inc",
[10][0x25 - 1] = "Shenzhen Qianhai Weishengda Electronic Commerce Company Ltd",
[10][0x26 - 1] = "Guangzhou Guang Xie Cheng Trading",
[10][0x27 - 1] = "StarRam International Co Ltd",
[10][0x28 - 1] = "Shen Zhen XinShenHua Tech Co Ltd",
[10][0x29 - 1] = "UltraMemory Inc",
[10][0x2a - 1] = "New Coastline Global Tech Industry Co",
[10][0x2b - 1] = "Sinker",
[10][0x2c - 1] = "Diamond",
[10][0x2d - 1] = "PUSKILL",
[10][0x2e - 1] = "Guangzhou Hao Jia Ye Technology Co",
[10][0x2f - 1] = "Ming Xin Limited",
[10][0x30 - 1] = "Barefoot Networks",
[10][0x31 - 1] = "Biwin Semiconductor (HK) Co Ltd",
[10][0x32 - 1] = "UD INFO Corporation",
[10][0x33 - 1] = "Trek Technology (S) PTE Ltd",
[10][0x34 - 1] = "Xiamen Kingblaze Technology Co Ltd",
[10][0x35 - 1] = "Shenzhen Lomica Technology Co Ltd",
[10][0x36 - 1] = "Nuclei System Technology Co Ltd",
[10][0x37 - 1] = "Wuhan Xun Zhan Electronic Technology",
[10][0x38 - 1] = "Shenzhen Ingacom Semiconductor Ltd",
[10][0x39 - 1] = "Zotac Technology Ltd",
[10][0x3a - 1] = "Foxline",
[10][0x3b - 1] = "Shenzhen Farasia Science Technology",
[10][0x3c - 1] = "Efinix Inc",
[10][0x3d - 1] = "Hua Nan San Xian Technology Co Ltd",
[10][0x3e - 1] = "Goldtech Electronics Co Ltd",
[10][0x3f - 1] = "Shanghai Han Rong Microelectronics Co",
[10][0x40 - 1] = "Shenzhen Zhongguang Yunhe Trading",
[10][0x41 - 1] = "Smart Shine(QingDao) Microelectronics",
[10][0x42 - 1] = "Thermaltake Technology Co Ltd",
[10][0x43 - 1] = "Shenzhen O'Yang Maile Technology Ltd",
[10][0x44 - 1] = "UPMEM",
[10][0x45 - 1] = "Chun Well Technology Holding Limited",
[10][0x46 - 1] = "Astera Labs Inc",
[10][0x47 - 1] = "Winconway",
[10][0x48 - 1] = "Advantech Co Ltd",
[10][0x49 - 1] = "Chengdu Fengcai Electronic Technology",
[10][0x4a - 1] = "The Boeing Company",
[10][0x4b - 1] = "Blaize Inc",
[10][0x4c - 1] = "Ramonster Technology Co Ltd",
[10][0x4d - 1] = "Wuhan Naonongmai Technology Co Ltd",
[10][0x4e - 1] = "Shenzhen Hui ShingTong Technology",
[10][0x4f - 1] = "Yourlyon",
[10][0x50 - 1] = "Fabu Technology",
[10][0x51 - 1] = "Shenzhen Yikesheng Technology Co Ltd",
[10][0x52 - 1] = "NOR-MEM",
[10][0x53 - 1] = "Cervoz Co Ltd",
[10][0x54 - 1] = "Bitmain Technologies Inc.",
[10][0x55 - 1] = "Facebook Inc",
[10][0x56 - 1] = "Shenzhen Longsys Electronics Co Ltd",
[10][0x57 - 1] = "Guangzhou Siye Electronic Technology",
[10][0x58 - 1] = "Silergy",
[10][0x59 - 1] = "Adamway",
[10][0x5a - 1] = "PZG",
[10][0x5b - 1] = "Shenzhen King Power Electronics",
[10][0x5c - 1] = "Guangzhou ZiaoFu Tranding Co Ltd",
[10][0x5d - 1] = "Shenzhen SKIHOTAR Semiconductor",
[10][0x5e - 1] = "PulseRain Technology",
[10][0x5f - 1] = "Seeker Technology Limited",
[10][0x60 - 1] = "Shenzhen OSCOO Tech Co Ltd",
[10][0x61 - 1] = "Shenzhen Yze Technology Co Ltd",
[10][0x62 - 1] = "Shenzhen Jieshuo Electronic Commerce",
[10][0x63 - 1] = "Gazda",
[10][0x64 - 1] = "Hua Wei Technology Co Ltd",
[10][0x65 - 1] = "Esperanto Technologies",
[10][0x66 - 1] = "JinSheng Electronic (Shenzhen) Co Ltd",
[10][0x67 - 1] = "Shenzhen Shi Bolunshuai Technology",
[10][0x68 - 1] = "Shanghai Rei Zuan Information Tech",
[10][0x69 - 1] = "Fraunhofer IIS",
[10][0x6a - 1] = "Kandou Bus SA",
[10][0x6b - 1] = "Acer",
[10][0x6c - 1] = "Artmem Technology Co Ltd",
[10][0x6d - 1] = "Gstar Semiconductor Co Ltd",
[10][0x6e - 1] = "ShineDisk",
[10][0x6f - 1] = "Shenzhen CHN Technology Co Ltd",
[10][0x70 - 1] = "UnionChip Semiconductor Co Ltd",
[10][0x71 - 1] = "Tanbassh",
[10][0x72 - 1] = "Shenzhen Tianyu Jieyun Intl Logistics",
[10][0x73 - 1] = "MCLogic Inc",
[10][0x74 - 1] = "Eorex Corporation",
[10][0x75 - 1] = "Arm Technology (China) Co Ltd",
[10][0x76 - 1] = "Lexar Co Limited",
[10][0x77 - 1] = "QinetiQ Group plc",
[10][0x78 - 1] = "Exascend",
[10][0x79 - 1] = "Hong Kong Hyunion Electronics Co Ltd",
[10][0x7a - 1] = "Shenzhen Banghong Electronics Co Ltd",
[10][0x7b - 1] = "MBit Wireless Inc",
[10][0x7c - 1] = "Hex Five Security Inc",
[10][0x7d - 1] = "ShenZhen Juhor Precision Tech Co Ltd",
[10][0x7e - 1] = "Shenzhen Reeinno Technology Co Ltd",
[11][0x01 - 1] = "ABIT Electronics (Shenzhen) Co Ltd",
[11][0x02 - 1] = "Semidrive",
[11][0x03 - 1] = "MyTek Electronics Corp",
[11][0x04 - 1] = "Wxilicon Technology Co Ltd",
[11][0x05 - 1] = "Shenzhen Meixin Electronics Ltd",
[11][0x06 - 1] = "Ghost Wolf",
[11][0x07 - 1] = "LiSion Technologies Inc",
[11][0x08 - 1] = "Power Active Co Ltd",
[11][0x09 - 1] = "Pioneer High Fidelity Taiwan Co. Ltd",
[11][0x0a - 1] = "LuoSilk",
[11][0x0b - 1] = "Shenzhen Chuangshifeida Technology",
[11][0x0c - 1] = "Black Sesame Technologies Inc",
[11][0x0d - 1] = "Jiangsu Xinsheng Intelligent Technology",
[11][0x0e - 1] = "MLOONG",
[11][0x0f - 1] = "Quadratica LLC",
[11][0x10 - 1] = "Anpec Electronics",
[11][0x11 - 1] = "Xi'an Morebeck Semiconductor Tech Co",
[11][0x12 - 1] = "Kingbank Technology Co Ltd",
[11][0x13 - 1] = "ITRenew Inc",
[11][0x14 - 1] = "Shenzhen Eaget Innovation Tech Ltd",
[11][0x15 - 1] = "Jazer",
[11][0x16 - 1] = "Xiamen Semiconductor Investment Group",
[11][0x17 - 1] = "Guangzhou Longdao Network Tech Co",
[11][0x18 - 1] = "Shenzhen Futian SEC Electronic Market",
[11][0x19 - 1] = "Allegro Microsystems LLC",
[11][0x1a - 1] = "Hunan RunCore Innovation Technology",
[11][0x1b - 1] = "C-Corsa Technology",
[11][0x1c - 1] = "Zhuhai Chuangfeixin Technology Co Ltd",
[11][0x1d - 1] = "Beijing InnoMem Technologies Co Ltd",
[11][0x1e - 1] = "YooTin",
[11][0x1f - 1] = "Shenzhen Pengxiong Technology Co Ltd",
[11][0x20 - 1] = "Dongguan Yingbang Commercial Trading Co",
[11][0x21 - 1] = "Shenzhen Ronisys Electronics Co Ltd",
[11][0x22 - 1] = "Hongkong Xinlan Guangke Co Ltd",
[11][0x23 - 1] = "Apex Microelectronics Co Ltd",
[11][0x24 - 1] = "Beijing Hongda Jinming Technology Co Ltd",
[11][0x25 - 1] = "Ling Rui Technology (Shenzhen) Co Ltd",
[11][0x26 - 1] = "Hongkong Hyunion Electronics Co Ltd",
[11][0x27 - 1] = "Starsystems Inc",
[11][0x28 - 1] = "Shenzhen Yingjiaxun Industrial Co Ltd",
[11][0x29 - 1] = "Dongguan Crown Code Electronic Commerce",
[11][0x2a - 1] = "Monolithic Power Systems Inc",
[11][0x2b - 1] = "WuHan SenNaiBo E-Commerce Co Ltd",
[11][0x2c - 1] = "Hangzhou Hikstorage Technology Co",
[11][0x2d - 1] = "Shenzhen Goodix Technology Co Ltd",
[11][0x2e - 1] = "Aigo Electronic Technology Co Ltd",
[11][0x2f - 1] = "Hefei Konsemi Storage Technology Co Ltd",
[11][0x30 - 1] = "Cactus Technologies Limited",
[11][0x31 - 1] = "DSIN",
[11][0x32 - 1] = "Blu Wireless Technology",
[11][0x33 - 1] = "Nanjing UCUN Technology Inc",
[11][0x34 - 1] = "Acacia Communications",
[11][0x35 - 1] = "Beijinjinshengyihe Technology Co Ltd",
[11][0x36 - 1] = "Zyzyx",
[11][0x37 - 1] = "T-HEAD Semiconductor Co Ltd",
[11][0x38 - 1] = "Shenzhen Hystou Technology Co Ltd",
[11][0x39 - 1] = "Syzexion",
[11][0x3a - 1] = "Kembona",
[11][0x3b - 1] = "Qingdao Thunderobot Technology Co Ltd",
[11][0x3c - 1] = "Morse Micro",
[11][0x3d - 1] = "Shenzhen Envida Technology Co Ltd",
[11][0x3e - 1] = "UDStore Solution Limited",
[11][0x3f - 1] = "Shunlie",
[11][0x40 - 1] = "Shenzhen Xin Hong Rui Tech Ltd",
[11][0x41 - 1] = "Shenzhen Yze Technology Co Ltd",
[11][0x42 - 1] = "Shenzhen Huang Pu He Xin Technology",
[11][0x43 - 1] = "Xiamen Pengpai Microelectronics Co Ltd",
[11][0x44 - 1] = "JISHUN",
[11][0x45 - 1] = "Shenzhen WODPOSIT Technology Co",
[11][0x46 - 1] = "Unistar",
[11][0x47 - 1] = "UNICORE Electronic (Suzhou) Co Ltd",
[11][0x48 - 1] = "Axonne Inc",
[11][0x49 - 1] = "Shenzhen SOVERECA Technology Co",
[11][0x4a - 1] = "Dire Wolf",
[11][0x4b - 1] = "Whampoa Core Technology Co Ltd",
[11][0x4c - 1] = "CSI Halbleiter GmbH",
[11][0x4d - 1] = "ONE Semiconductor",
[11][0x4e - 1] = "SimpleMachines Inc",
[11][0x4f - 1] = "Shenzhen Chengyi Qingdian Electronic",
[11][0x50 - 1] = "Shenzhen Xinlianxin Network Technology",
[11][0x51 - 1] = "Vayyar Imaging Ltd",
[11][0x52 - 1] = "Paisen Network Technology Co Ltd",
[11][0x53 - 1] = "Shenzhen Fengwensi Technology Co Ltd",
[11][0x54 - 1] = "Caplink Technology Limited",
[11][0x55 - 1] = "JJT Solution Co Ltd",
[11][0x56 - 1] = "HOSIN Global Electronics Co Ltd",
[11][0x57 - 1] = "Shenzhen KingDisk Century Technology",
[11][0x58 - 1] = "SOYO",
[11][0x59 - 1] = "DIT Technology Co Ltd",
[11][0x5a - 1] = "iFound",
[11][0x5b - 1] = "Aril Computer Company",
[11][0x5c - 1] = "ASUS",
[11][0x5d - 1] = "Shenzhen Ruiyingtong Technology Co",
[11][0x5e - 1] = "HANA Micron",
[11][0x5f - 1] = "RANSOR",
[11][0x60 - 1] = "Axiado Corporation",
[11][0x61 - 1] = "Tesla Corporation",
[11][0x62 - 1] = "Pingtouge (Shanghai) Semiconductor Co",
[11][0x63 - 1] = "S3Plus Technologies SA",
[11][0x64 - 1] = "Integrated Silicon Solution Israel Ltd",
[11][0x65 - 1] = "GreenWaves Technologies",
[11][0x66 - 1] = "NUVIA Inc",
[11][0x67 - 1] = "Guangzhou Shuvrwine Technology Co",
[11][0x68 - 1] = "Shenzhen Hangshun Chip Technology",
[11][0x69 - 1] = "Chengboliwei Electronic Business",
[11][0x6a - 1] = "Kowin Technology HK Limited",
[11][0x6b - 1] = "Euronet Technology Inc",
[11][0x6c - 1] = "SCY",
[11][0x6d - 1] = "Shenzhen Xinhongyusheng Electrical",
[11][0x6e - 1] = "PICOCOM",
[11][0x6f - 1] = "Shenzhen Toooogo Memory Technology",
[11][0x70 - 1] = "VLSI Solution",
[11][0x71 - 1] = "Costar Electronics Inc",
[11][0x72 - 1] = "Shenzhen Huatop Technology Co Ltd",
[11][0x73 - 1] = "Inspur Electronic Information Industry",
[11][0x74 - 1] = "Shenzhen Boyuan Computer Technology",
[11][0x75 - 1] = "Beijing Welldisk Electronics Co Ltd",
[11][0x76 - 1] = "Suzhou EP Semicon Co Ltd",
[11][0x77 - 1] = "Zhejiang Dahua Memory Technology",
[11][0x78 - 1] = "Virtu Financial",
[11][0x79 - 1] = "Datotek International Co Ltd",
[11][0x7a - 1] = "Telecom and Microelectronics Industries",
[11][0x7b - 1] = "Echow Technology Ltd",
[11][0x7c - 1] = "APEX-INFO",
[11][0x7d - 1] = "Yingpark",
[11][0x7e - 1] = "Shenzhen Bigway Tech Co Ltd",
[12][0x01 - 1] = "Beijing Haawking Technology Co Ltd",
[12][0x02 - 1] = "Open HW Group",
[12][0x03 - 1] = "JHICC",
[12][0x04 - 1] = "ncoder AG",
[12][0x05 - 1] = "ThinkTech Information Technology Co",
[12][0x06 - 1] = "Shenzhen Chixingzhe Technology Co Ltd",
[12][0x07 - 1] = "Biao Ram Technology Co Ltd",
[12][0x08 - 1] = "Shenzhen Kaizhuoyue Electronics Co Ltd",
[12][0x09 - 1] = "Shenzhen YC Storage Technology Co Ltd",
[12][0x0a - 1] = "Shenzhen Chixingzhe Technology Co",
[12][0x0b - 1] = "Wink Semiconductor (Shenzhen) Co Ltd",
[12][0x0c - 1] = "AISTOR",
[12][0x0d - 1] = "Palma Ceia SemiDesign",
[12][0x0e - 1] = "EM Microelectronic-Marin SA",
[12][0x0f - 1] = "Shenzhen Monarch Memory Technology",
[12][0x10 - 1] = "Reliance Memory Inc",
[12][0x11 - 1] = "Jesis",
[12][0x12 - 1] = "Espressif Systems (Shanghai) Co Ltd",
[12][0x13 - 1] = "Shenzhen Sati Smart Technology Co Ltd",
[12][0x14 - 1] = "NeuMem Co Ltd",
[12][0x15 - 1] = "Lifelong",
[12][0x16 - 1] = "Beijing Oitech Technology Co Ltd",
[12][0x17 - 1] = "Groupe LDLC",
[12][0x18 - 1] = "Semidynamics Technology Services SLU",
[12][0x19 - 1] = "swordbill",
[12][0x1a - 1] = "YIREN",
[12][0x1b - 1] = "Shenzhen Yinxiang Technology Co Ltd",
[12][0x1c - 1] = "PoweV Electronic Technology Co Ltd",
[12][0x1d - 1] = "LEORICE",
[12][0x1e - 1] = "Waymo LLC",
[12][0x1f - 1] = "Ventana Micro Systems",
[12][0x20 - 1] = "Hefei Guangxin Microelectronics Co Ltd",
[12][0x21 - 1] = "Shenzhen Sooner Industrial Co Ltd",
[12][0x22 - 1] = "Horizon Robotics",
[12][0x23 - 1] = "Tangem AG",
[12][0x24 - 1] = "FuturePath Technology (Shenzhen) Co",
[12][0x25 - 1] = "RC Module",
[12][0x26 - 1] = "Timetec International Inc",
[12][0x27 - 1] = "ICMAX Technologies Co Limited",
[12][0x28 - 1] = "Lynxi Technologies Ltd Co",
[12][0x29 - 1] = "Guangzhou Taisupanke Computer Equipment",
[12][0x2a - 1] = "Ceremorphic Inc",
[12][0x2b - 1] = "Biwin Storage Technology Co Ltd",
[12][0x2c - 1] = "Beijing ESWIN Computing Technology",
[12][0x2d - 1] = "WeForce Co Ltd",
[12][0x2e - 1] = "Shenzhen Fanxiang Information Technology",
[12][0x2f - 1] = "Unisoc",
[12][0x30 - 1] = "YingChu",
[12][0x31 - 1] = "GUANCUN",
[12][0x32 - 1] = "IPASON",
[12][0x33 - 1] = "Ayar Labs",
[12][0x34 - 1] = "Amazon",
[12][0x35 - 1] = "Shenzhen Xinxinshun Technology Co",
[12][0x36 - 1] = "Galois Inc",
[12][0x37 - 1] = "Ubilite Inc",
[12][0x38 - 1] = "Shenzhen Quanxing Technology Co Ltd",
[12][0x39 - 1] = "Group RZX Technology LTDA",
[12][0x3a - 1] = "Yottac Technology (XI'AN) Cooperation",
[12][0x3b - 1] = "Shenzhen RuiRen Technology Co Ltd",
[12][0x3c - 1] = "Group Star Technology Co Ltd",
[12][0x3d - 1] = "RWA (Hong Kong) Ltd",
[12][0x3e - 1] = "Genesys Logic Inc",
[12][0x3f - 1] = "T3 Robotics Inc.",
[12][0x40 - 1] = "Biostar Microtech International Corp",
[12][0x41 - 1] = "Shenzhen SXmicro Technology Co Ltd",
[12][0x42 - 1] = "Shanghai Yili Computer Technology Co",
[12][0x43 - 1] = "Zhixin Semicoducotor Co Ltd",
[12][0x44 - 1] = "uFound",
[12][0x45 - 1] = "Aigo Data Security Technology Co. Ltd",
[12][0x46 - 1] = ".GXore Technologies",
[12][0x47 - 1] = "Shenzhen Pradeon Intelligent Technology",
[12][0x48 - 1] = "Power LSI",
[12][0x49 - 1] = "PRIME",
[12][0x4a - 1] = "Shenzhen Juyang Innovative Technology",
[12][0x4b - 1] = "CERVO",
[12][0x4c - 1] = "SiEngine Technology Co., Ltd.",
[12][0x4d - 1] = "Beijing Unigroup Tsingteng MicroSystem",
[12][0x4e - 1] = "Brainsao GmbH",
[12][0x4f - 1] = "Credo Technology Group Ltd",
[12][0x50 - 1] = "Shanghai Biren Technology Co Ltd",
[12][0x51 - 1] = "Nucleu Semiconductor",
[12][0x52 - 1] = "Shenzhen Guangshuo Electronics Co Ltd",
[12][0x53 - 1] = "ZhongsihangTechnology Co Ltd",
[12][0x54 - 1] = "Suzhou Mainshine Electronic Co Ltd.",
[12][0x55 - 1] = "Guangzhou Riss Electronic Technology",
[12][0x56 - 1] = "Shenzhen Cloud Security Storage Co",
[12][0x57 - 1] = "ROG",
[12][0x58 - 1] = "Perceive",
[12][0x59 - 1] = "e-peas",
[12][0x5a - 1] = "Fraunhofer IPMS",
[12][0x5b - 1] = "Shenzhen Daxinlang Electronic Tech Co",
[12][0x5c - 1] = "Abacus Peripherals Private Limited",
[12][0x5d - 1] = "OLOy Technology",
[12][0x5e - 1] = "Wuhan P&S Semiconductor Co Ltd",
[12][0x5f - 1] = "Sitrus Technology",
[12][0x60 - 1] = "AnHui Conner Storage Co Ltd",
[12][0x61 - 1] = "Rochester Electronics",
[12][0x62 - 1] = "Wuxi Petabyte Technologies Co Ltd",
[12][0x63 - 1] = "Star Memory",
[12][0x64 - 1] = "Agile Memory Technology Co Ltd",
[12][0x65 - 1] = "MEJEC",
[12][0x66 - 1] = "Rockchip Electronics Co Ltd",
[12][0x67 - 1] = "Dongguan Guanma e-commerce Co Ltd",
[12][0x68 - 1] = "Rayson Hi-Tech (SZ) Limited",
[12][0x69 - 1] = "MINRES Technologies GmbH",
[12][0x6a - 1] = "Himax Technologies Inc",
[12][0x6b - 1] = "Shenzhen Cwinner Technology Co Ltd",
[12][0x6c - 1] = "Tecmiyo",
[12][0x6d - 1] = "Shenzhen Suhuicun Technology Co Ltd",
[12][0x6e - 1] = "Vickter Electronics Co. Ltd.",
[12][0x6f - 1] = "lowRISC",
[12][0x70 - 1] = "EXEGate FZE",
[12][0x71 - 1] = "Shenzhen 9 Chapter Technologies Co",
[12][0x72 - 1] = "Addlink",
[12][0x73 - 1] = "Starsway",
[12][0x74 - 1] = "Pensando Systems Inc.",
[12][0x75 - 1] = "AirDisk",
[12][0x76 - 1] = "Shenzhen Speedmobile Technology Co",
[12][0x77 - 1] = "PEZY Computing",
[12][0x78 - 1] = "Extreme Engineering Solutions Inc",
[12][0x79 - 1] = "Shangxin Technology Co Ltd",
[12][0x7a - 1] = "Shanghai Zhaoxin Semiconductor Co",
[12][0x7b - 1] = "Xsight Labs Ltd",
[12][0x7c - 1] = "Hangzhou Hikstorage Technology Co",
[12][0x7d - 1] = "Dell Technologies",
[12][0x7e - 1] = "Guangdong StarFive Technology Co",
[13][0x01 - 1] = "TECOTON",
[13][0x02 - 1] = "Abko Co Ltd",
[13][0x03 - 1] = "Shenzhen Feisrike Technology Co Ltd",
[13][0x04 - 1] = "Shenzhen Sunhome Electronics Co Ltd",
[13][0x05 - 1] = "Global Mixed-mode Technology Inc",
[13][0x06 - 1] = "Shenzhen Weien Electronics Co. Ltd.",
[13][0x07 - 1] = "Shenzhen Cooyes Technology Co Ltd",
[13][0x08 - 1] = "Keymos Electronics Co., Limited",
[13][0x09 - 1] = "E-Rockic Technology Company Limited",
[13][0x0a - 1] = "Aerospace Science Memory Shenzhen",
[13][0x0b - 1] = "Shenzhen Quanji Technology Co Ltd",
[13][0x0c - 1] = "Dukosi",
[13][0x0d - 1] = "Maxell Corporation of America",
[13][0x0e - 1] = "Shenshen Xinxintao Electronics Co Ltd",
[13][0x0f - 1] = "Zhuhai Sanxia Semiconductor Co Ltd",
[13][0x10 - 1] = "Groq Inc",
[13][0x11 - 1] = "AstraTek",
[13][0x12 - 1] = "Shenzhen Xinyuze Technology Co Ltd",
[13][0x13 - 1] = "All Bit Semiconductor",
[13][0x14 - 1] = "ACFlow",
[13][0x15 - 1] = "Shenzhen Sipeed Technology Co Ltd",
[13][0x16 - 1] = "Linzhi Hong Kong Co Limited",
[13][0x17 - 1] = "Supreme Wise Limited",
[13][0x18 - 1] = "Blue Cheetah Analog Design Inc",
[13][0x19 - 1] = "Hefei Laiku Technology Co Ltd",
[13][0x1a - 1] = "Zord",
[13][0x1b - 1] = "SBO Hearing A/S",
[13][0x1c - 1] = "Regent Sharp International Limited",
[13][0x1d - 1] = "Permanent Potential Limited",
[13][0x1e - 1] = "Creative World International Limited",
[13][0x1f - 1] = "Base Creation International Limited",
[13][0x20 - 1] = "Shenzhen Zhixin Chuanglian Technology",
[13][0x21 - 1] = "Protected Logic Corporation",
[13][0x22 - 1] = "Sabrent",
[13][0x23 - 1] = "Union Memory",
[13][0x24 - 1] = "NEUCHIPS Corporation",
[13][0x25 - 1] = "Ingenic Semiconductor Co Ltd",
[13][0x26 - 1] = "SiPearl",
[13][0x27 - 1] = "Shenzhen Actseno Information Technology",
[13][0x28 - 1] = "RIVAI Technologies (Shenzhen) Co Ltd",
[13][0x29 - 1] = "Shenzhen Sunny Technology Co Ltd",
[13][0x2a - 1] = "Cott Electronics Ltd",
[13][0x2b - 1] = "Shanghai Synsense Technologies Co Ltd",
[13][0x2c - 1] = "Shenzhen Jintang Fuming Optoelectronics",
[13][0x2d - 1] = "CloudBEAR LLC",
[13][0x2e - 1] = "Emzior, LLC",
[13][0x2f - 1] = "Ehiway Microelectronic Science Tech Co",
[13][0x30 - 1] = "UNIM Innovation Technology (Wu XI)",
[13][0x31 - 1] = "GDRAMARS",
[13][0x32 - 1] = "Meminsights Technology",
[13][0x33 - 1] = "Zhuzhou Hongda Electronics Corp Ltd",
[13][0x34 - 1] = "Luminous Computing Inc",
[13][0x35 - 1] = "PROXMEM",
[13][0x36 - 1] = "Draper Labs",
[13][0x37 - 1] = "ORICO Technologies Co. Ltd.",
[13][0x38 - 1] = "Space Exploration Technologies Corp",
[13][0x39 - 1] = "AONDEVICES Inc",
[13][0x3a - 1] = "Shenzhen Netforward Micro Electronic",
[13][0x3b - 1] = "Syntacore Ltd",
[13][0x3c - 1] = "Shenzhen Secmem Microelectronics Co",
[13][0x3d - 1] = "ONiO As",
[13][0x3e - 1] = "Shenzhen Peladn Technology Co Ltd",
[13][0x3f - 1] = "O-Cubes Shanghai Microelectronics",
[13][0x40 - 1] = "ASTC",
[13][0x41 - 1] = "UMIS",
[13][0x42 - 1] = "Paradromics",
[13][0x43 - 1] = "Sinh Micro Co Ltd",
[13][0x44 - 1] = "Metorage Semiconductor Technology Co",
[13][0x45 - 1] = "Aeva Inc",
[13][0x46 - 1] = "HongKong Hyunion Electronics Co Ltd",
[13][0x47 - 1] = "China Flash Co Ltd",
[13][0x48 - 1] = "Sunplus Technology Co Ltd",
[13][0x49 - 1] = "Idaho Scientific",
[13][0x4a - 1] = "Suzhou SF Micro Electronics Co Ltd",
[13][0x4b - 1] = "IMEX Cap AG",
[13][0x4c - 1] = "Fitipower Integrated Technology Co Ltd",
[13][0x4d - 1] = "ShenzhenWooacme Technology Co Ltd",
[13][0x4e - 1] = "KeepData Original Chips",
[13][0x4f - 1] = "Rivos Inc",
[13][0x50 - 1] = "Big Innovation Company Limited",
[13][0x51 - 1] = "Wuhan YuXin Semiconductor Co Ltd",
[13][0x52 - 1] = "United Memory Technology (Jiangsu)",
[13][0x53 - 1] = "PQShield Ltd",
[13][0x54 - 1] = "ArchiTek Corporation",
[13][0x55 - 1] = "ShenZhen AZW Technology Co Ltd",
[13][0x56 - 1] = "Hengchi Zhixin (Dongguan) Technology",
[13][0x57 - 1] = "Eggtronic Engineering Spa",
[13][0x58 - 1] = "Fusontai Technology",
[13][0x59 - 1] = "PULP Platform",
[13][0x5a - 1] = "Koitek Electronic Technology (Shenzhen) Co",
[13][0x5b - 1] = "Shenzhen Jiteng Network Technology Co",
[13][0x5c - 1] = "Aviva Links Inc",
[13][0x5d - 1] = "Trilinear Technologies Inc",
[13][0x5e - 1] = "Shenzhen Developer Microelectronics Co",
[13][0x5f - 1] = "Guangdong OPPO Mobile Telecommunication",
[13][0x60 - 1] = "Akeana",
[13][0x61 - 1] = "Lyczar",
[13][0x62 - 1] = "Shenzhen Qiji Technology Co Ltd",
[13][0x63 - 1] = "Shenzhen Shangzhaoyuan Technology",
[13][0x64 - 1] = "Han Stor",
[13][0x65 - 1] = "China Micro Semicon Co., Ltd.",
[13][0x66 - 1] = "Shenzhen Zhuqin Technology Co Ltd",
[13][0x67 - 1] = "Shanghai Ningyuan Electronic Technology",
[13][0x68 - 1] = "Auradine",
[13][0x69 - 1] = "Suzhou Yishuo Electronics Co Ltd",
[13][0x6a - 1] = "Faurecia Clarion Electronics",
[13][0x6b - 1] = "SiMa Technologies",
[13][0x6c - 1] = "CFD Sales Inc",
[13][0x6d - 1] = "Suzhou Comay Information Co Ltd",
[13][0x6e - 1] = "Yentek",
[13][0x6f - 1] = "Qorvo Inc",
[13][0x70 - 1] = "Shenzhen Youzhi Computer Technology",
[13][0x71 - 1] = "Sychw Technology (Shenzhen) Co Ltd",
[13][0x72 - 1] = "MK Founder Technology Co Ltd",
[13][0x73 - 1] = "Siliconwaves Technologies Co Ltd",
[13][0x74 - 1] = "Hongkong Hyunion Electronics Co Ltd",
[13][0x75 - 1] = "Shenzhen Xinxinzhitao Electronics Business",
[13][0x76 - 1] = "Shenzhen HenQi Electronic Commerce Co",
[13][0x77 - 1] = "Shenzhen Jingyi Technology Co Ltd",
[13][0x78 - 1] = "Xiaohua Semiconductor Co. Ltd.",
[13][0x79 - 1] = "Shenzhen Dalu Semiconductor Technology",
[13][0x7a - 1] = "Shenzhen Ninespeed Electronics Co Ltd",
[13][0x7b - 1] = "ICYC Semiconductor Co Ltd",
[13][0x7c - 1] = "Shenzhen Jaguar Microsystems Co Ltd",
[13][0x7d - 1] = "Beijing EC-Founder Co Ltd",
[13][0x7e - 1] = "Shenzhen Taike Industrial Automation Co",
[14][0x01 - 1] = "Kalray SA",
[14][0x02 - 1] = "Shanghai Iluvatar CoreX Semiconductor Co",
[14][0x03 - 1] = "Fungible Inc",
[14][0x04 - 1] = "Song Industria E Comercio de Eletronicos",
[14][0x05 - 1] = "DreamBig Semiconductor Inc",
[14][0x06 - 1] = "ChampTek Electronics Corp",
[14][0x07 - 1] = "Fusontai Technology",
[14][0x08 - 1] = "Endress Hauser AG",
[14][0x09 - 1] = "altec ComputerSysteme GmbH",
[14][0x0a - 1] = "UltraRISC Technology (Shanghai) Co Ltd",
[14][0x0b - 1] = "Shenzhen Jing Da Kang Technology Co Ltd",
[14][0x0c - 1] = "Hangzhou Hongjun Microelectronics Co Ltd",
[14][0x0d - 1] = "Pliops Ltd",
[14][0x0e - 1] = "Cix Technology (Shanghai) Co Ltd",
[14][0x0f - 1] = "TeraDevices Inc",
[14][0x10 - 1] = "SpacemiT (Hangzhou)Technology Co Ltd",
[14][0x11 - 1] = "InnoPhase loT Inc",
[14][0x12 - 1] = "InnoPhase loT Inc",
[14][0x13 - 1] = "Yunhight Microelectronics",
[14][0x14 - 1] = "Samnix",
[14][0x15 - 1] = "HKC Storage Co Ltd",
[14][0x16 - 1] = "Chiplego Technology (Shanghai) Co Ltd",
[14][0x17 - 1] = "StoreSkill",
[14][0x18 - 1] = "Shenzhen Astou Technology Company",
[14][0x19 - 1] = "Guangdong LeafFive Technology Limited",
[14][0x1a - 1] = "Jin JuQuan",
[14][0x1b - 1] = "Huaxuan Technology (Shenzhen) Co Ltd",
[14][0x1c - 1] = "Gigastone Corporation",
[14][0x1d - 1] = "Kinsotin",
[14][0x1e - 1] = "PengYing",
[14][0x1f - 1] = "Shenzhen Xunhi Technology Co Ltd",
[14][0x20 - 1] = "FOXX Storage Inc",
[14][0x21 - 1] = "Shanghai Belling Corporation Ltd",
[14][0x22 - 1] = "Glenfy Tech Co Ltd",
[14][0x23 - 1] = "Sahasra Semiconductors Pvt Ltd",
[14][0x24 - 1] = "Chongqing SeekWave Technology Co Ltd",
[14][0x25 - 1] = "Shenzhen Zhixing Intelligent Manufacturing",
[14][0x26 - 1] = "Ethernovia",
[14][0x27 - 1] = "Shenzhen Xinrongda Technology Co Ltd",
[14][0x28 - 1] = "Hangzhou Clounix Technology Limited",
[14][0x29 - 1] = "JGINYUE",
[14][0x2a - 1] = "Shenzhen Xinwei Semiconductor Co Ltd",
[14][0x2b - 1] = "COLORFIRE Technology Co Ltd",
[14][0x2c - 1] = "B LKE",
[14][0x2d - 1] = "ZHUDIAN",
[14][0x2e - 1] = "REECHO",
[14][0x2f - 1] = "Enphase Energy Inc",
[14][0x30 - 1] = "Shenzhen Yingrui Storage Technology Co Ltd",
[14][0x31 - 1] = "Shenzhen Sinomos Semiconductor Technology",
[14][0x32 - 1] = "O2micro International Limited",
[14][0x33 - 1] = "Axelera AI BV",
[14][0x34 - 1] = "Silicon Legend Technology (Suzhou) Co Ltd",
[14][0x35 - 1] = "Suzhou Novosense Microelectronics Co Ltd",
[14][0x36 - 1] = "Pirateman",
[14][0x37 - 1] = "Yangtze MasonSemi",
[14][0x38 - 1] = "Shanghai Yunsilicon Technology Co Ltd",
[14][0x39 - 1] = "Rayson",
[14][0x3a - 1] = "Alphawave IP",
[14][0x3b - 1] = "Shenzhen Visions Chip Electronic Technology",
[14][0x3c - 1] = "KYO Group",
[14][0x3d - 1] = "Shenzhen Aboison Technology Co Ltd",
[14][0x3e - 1] = "Shenzhen JingSheng Semiconducto Co Ltd",
[14][0x3f - 1] = "Shenzhen Dingsheng Technology Co Ltd",
[14][0x40 - 1] = "EVAS Intelligence Co Ltd",
[14][0x41 - 1] = "Kaibright Electronic Technologies",
/* EOF */
